%Change bending stiffness and axial stiffness in inpmod.dyn
clc
clear
fileID=fopen('wtfixed_inpmod.inp','r');
fileWrite=fopen('wtfixed_inpmod_write.inp','w');
count=10; %dummies
count2=-10;
count3=-10;
count4=-10;

while ~feof(fileID)
    tline=fgetl(fileID);
    S=tline; %
    %Change ejy and mf, bending stiffness 
    if count==0;
        tline=(str2num(tline))*100;
        tline=sprintf('%e',tline);
        tline=num2str(tline);
        count=10;
        count2=2;
    elseif count2==0
        count2=-10;
        tline=str2num(tline);
        ejy=sprintf('%e',tline(1)*100);
        mf=tline(2);
        tline=sprintf('%s %f',ejy, mf);
    end
    
    count2=count2-1;
    
    for i =1:10
        D=(sprintf('tower%d       37  ',i));
        test=strcmp(D,S); %true if we have reached a tower component
        if test==1
            count=6;

        end
    end
    if count ~=10
        count=count-1;
    end

    
    if count3==0;
        tline=(str2num(tline))*100;
        tline=sprintf('%E',tline);
        tline=num2str(tline);
        count3=-10;
        count4=2;
    elseif count4==0
        count4=-10;
        tline=str2num(tline);
        ejy=sprintf('%E',tline(1)*100);
        ejz=sprintf('%E',tline(2)*100);        
        tline=sprintf('%s %s',ejy, ejz);
    end
    
    count4=count4-1;
    
    for i =1:17
        if i < 10 
            D=(sprintf('foil_0%d 37.200000 ',i));
        else
            D=(sprintf('foil_%d 37.200000 ',i));
        end
        
        test=strcmp(D,S); %true if we have reached a blade component
        if test==1
            count3=6;
        end
    end
    if count3~=-10
        count3=count3-1;
    end
    
    fprintf(fileWrite, tline);
    fprintf(fileWrite,'\n');
    
end
    

fclose(fileWrite);
fclose(fileID);