%read Postresp.Lis

fileID1=fopen('POSTRESP.LIS','r');
%data = textscan(fileID1,'%f %f %f %f %f %f %f', 'headerlines',69);
%data = cell2mat(data);

for i = 1:6;
    compar_str(i,1)={strtrim(sprintf(' Response variable: FRCDIF%d',i))};
end
complete1=0;   
complete2=0;   
complete3=0;   
complete4=0;   
complete5=0;   
complete6=0;   

count1_2=0;
count2_2=0;
count3_2=0;
count4_2=0;
count5_2=0;
count6_2=0;

count1= 6;
count2= 6;
count3= 6;
count4= 6;
count5= 6;
count6= 6;

    %% 
while ~feof(fileID1)
    tline=fgetl(fileID1);
    S=tline; %
    
    test=strcmp(compar_str,strtrim(S));
    
    %SURGE
    if test(1,1)==1
        count1=count1-1;
    elseif count1~=6 && count1~=0
        count1=count1-1;
    elseif count1==0 && complete1==0 % && i ~=No_wavelengths
        if isempty(strtrim(S))==1
            complete1=1;
        elseif complete1 ==0 && isempty(strtrim(S))==0
            count1_2=count1_2+1;
            Surge(count1_2,:)=str2num(S) ;    
        end
          
        
    end
    
        %Sway
    if test(2,1)==1
        count2=count2-1;
    elseif count2~=6 && count2~=0
        count2=count2-1;
    elseif count2==0 && complete2==0 % && i ~=No_wavelengths
        if isempty(strtrim(S))==1
            complete2=1;
        elseif complete2 ==0 && isempty(strtrim(S))==0
            count2_2=count2_2+1;
            Sway(count2_2,:)=str2num(S) ;    
        end
          
        
    end
    
            %Heave
    if test(3,1)==1
        count3=count3-1;
    elseif count3~=6 && count3~=0
        count3=count3-1;
    elseif count3==0 && complete3==0 % && i ~=No_wavelengths
        if isempty(strtrim(S))==1
            complete3=1;
        elseif complete3 ==0 && isempty(strtrim(S))==0
            count3_2=count3_2+1;
            Heave(count3_2,:)=str2num(S) ;    
        end
          
        
    end
    
            %Roll
    if test(4,1)==1
        count4=count4-1;
    elseif count4~=6 && count4~=0
        count4=count4-1;
    elseif count4==0 && complete4==0 % && i ~=No_wavelengths
        if isempty(strtrim(S))==1
            complete4=1;
        elseif complete4 ==0 && isempty(strtrim(S))==0
            count4_2=count4_2+1;
            Roll(count4_2,:)=str2num(S) ;    
        end
          
        
    end
    
            %Pitch
    if test(5,1)==1
        count5=count5-1;
    elseif count5~=6 && count5~=0
        count5=count5-1;
    elseif count5==0 && complete5 ==0 % && i ~=No_wavelengths
        if isempty(strtrim(S))==1
            complete5=1;
        elseif complete5 ==0 && isempty(strtrim(S))==0
            count5_2=count5_2+1;
            Pitch(count5_2,:)=str2num(S) ;    
        end
          
        
    end
    
            %Yaw
    if test(6,1)==1
        count6=count6-1;
    elseif count6~=6 && count6~=0
        count6=count6-1;
    elseif count6==0 && complete6 ==0 % && i ~=No_wavelengths
        if isempty(strtrim(S))==1
            complete6=1;
        elseif complete6 ==0 && isempty(strtrim(S))==0
            count6_2=count6_2+1;
            Yaw(count6_2,:)=str2num(S) ;    
        end
          
        
    end
    
end 
fclose(fileID1)
    
%%
fileID2=fopen('HeaderQTF.dat','r')


data = textscan(fileID2,'%f','Headerlines',16);
data = data{1}; 
data = (reshape(data,2,[])).';

fclose(fileID2);

a_1=Surge(:,4)*10^-3; %Real part
b_1=Surge(:,5)*10^-3; %Imaginary part
freq1_1=Surge(:,1); %frequency 1 =   iwqtf1
freq2_1=Surge(:,2); %frequency 2 =   iwqtf2
idqtf1=ones(length(a_1),1); %direction number
idqtf2=ones(length(a_1),1); %direction number

a_2=Sway(:,4)*10^-3; %Real part
b_2=Sway(:,5)*10^-3; %Imaginary part
freq1_2=Sway(:,1); %frequency 1 =   iwqtf1
freq2_2=Sway(:,2); %frequency 2 =   iwqtf2

    
a_3=Heave(:,4)*10^-3; %Real part
b_3=Heave(:,5)*10^-3; %Imaginary part
freq1_3=Heave(:,1); %frequency 1 =   iwqtf1
freq2_3=Heave(:,2); %frequency 2 =   iwqtf2

    
a_4=Roll(:,4)*10^-3; %Real part
b_4=Roll(:,5)*10^-3; %Imaginary part
freq1_4=Roll(:,1); %frequency 1 =   iwqtf1
freq2_4=Roll(:,2); %frequency 2 =   iwqtf2

    
a_5=Pitch(:,4)*10^-3; %Real part
b_5=Pitch(:,5)*10^-3; %Imaginary part
freq1_5=Pitch(:,1); %frequency 1 =   iwqtf1
freq2_5=Pitch(:,2); %frequency 2 =   iwqtf2

    
a_6=Yaw(:,4)*10^-3; %Real part
b_6=Yaw(:,5)*10^-3; %Imaginary part
freq1_6=Yaw(:,1); %frequency 1 =   iwqtf1
freq2_6=Yaw(:,2); %frequency 2 =   iwqtf2

for i = 1:length(data)
    col_freq1=find(Surge(:,1)==data(i,2));
    col_freq2=find(Surge(:,2)==data(i,2));
    freq1_1(col_freq1)=i;
    freq2_1(col_freq2)=i;
    
    col2_freq1=find(Sway(:,1)==data(i,2));
    col2_freq2=find(Sway(:,2)==data(i,2));
    freq1_2(col2_freq1)=i;
    freq2_2(col2_freq2)=i;
    
    col3_freq1=find(Heave(:,1)==data(i,2));
    col3_freq2=find(Heave(:,2)==data(i,2));
    freq1_3(col3_freq1)=i;
    freq2_3(col3_freq2)=i;
    
    col4_freq1=find(Roll(:,1)==data(i,2));
    col4_freq2=find(Roll(:,2)==data(i,2));
    freq1_4(col4_freq1)=i;
    freq2_4(col4_freq2)=i;
    
    col5_freq1=find(Pitch(:,1)==data(i,2));
    col5_freq2=find(Pitch(:,2)==data(i,2));
    freq1_5(col5_freq1)=i;
    freq2_5(col5_freq2)=i;
    
    col6_freq1=find(Yaw(:,1)==data(i,2));
    col6_freq2=find(Yaw(:,2)==data(i,2));
    freq1_6(col6_freq1)=i;
    freq2_6(col6_freq2)=i;
end
%%
Surge_new=[freq1_1 freq2_1 a_1 b_1];
Sway_new= [freq1_2 freq2_2 a_2 b_2];
Heave_new=[freq1_3 freq2_3 a_3 b_3];
Roll_new= [freq1_4 freq2_4 a_4 b_4];
Pitch_new=[freq1_5 freq2_5 a_5 b_5];
Yaw_new=  [freq1_6 freq2_6 a_6 b_6];


tell=0;
dat_size=length(data);
tell=0;
row2=[];
for i = 1:(dat_size-1)
    curr=i;
    for j=1:curr
        tell=tell+1;
        row2(tell)=i*dat_size+j;
    end
end

Surge_new(row2,:)=[];
Sway_new(row2,:)=[]; 
Heave_new(row2,:)=[];
Roll_new(row2,:)=[];
Pitch_new(row2,:)=[];
Yaw_new(row2,:)=[];

%% NB: a's and b's has been multiplied with 10^-3 previously 
a_1=Surge_new(:,3); %Real part
b_1=Surge_new(:,4); %Imaginary part
freq1_1=Surge_new(:,1); %frequency 1 =   iwqtf1
freq2_1=Surge_new(:,2); %frequency 2 =   iwqtf2
idqtf1=ones(length(a_1),1); %direction number
idqtf2=ones(length(a_1),1); %direction number

a_2=Sway_new(:,3); %Real part
b_2=Sway_new(:,4); %Imaginary part
freq1_2=Sway_new(:,1); %frequency 1 =   iwqtf1
freq2_2=Sway_new(:,2); %frequency 2 =   iwqtf2

    
a_3=Heave_new(:,3); %Real part
b_3=Heave_new(:,4); %Imaginary part
freq1_3=Heave_new(:,1); %frequency 1 =   iwqtf1
freq2_3=Heave_new(:,2); %frequency 2 =   iwqtf2

    
a_4=Roll_new(:,3); %Real part
b_4=Roll_new(:,4); %Imaginary part
freq1_4=Roll_new(:,1); %frequency 1 =   iwqtf1
freq2_4=Roll_new(:,2); %frequency 2 =   iwqtf2

    
a_5=Pitch_new(:,3); %Real part
b_5=Pitch_new(:,4); %Imaginary part
freq1_5=Pitch_new(:,1); %frequency 1 =   iwqtf1
freq2_5=Pitch_new(:,2); %frequency 2 =   iwqtf2

    
a_6=Yaw_new(:,3); %Real part
b_6=Yaw_new(:,4); %Imaginary part
freq1_6=Yaw_new(:,1); %frequency 1 =   iwqtf1
freq2_6=Yaw_new(:,2); %frequency 2 =   iwqtf2
%%
% % % %%
% % % tell=0;
% % % for i =1:length(Surge_new(:,1));
% % %     test=[Surge_new(i,2) Surge_new(i,1)];
% % %     if test(1)~=test(2)
% % %         %row(i)=find(Surge_new(:,1) == test(1) && Surge_new(:,2)==test(2))
% % %         for j=1:length(Surge_new(:,1))
% % %            if  Surge_new(j,1) == test(1) && Surge_new(j,2)==test(2)
% % %                tell = tell+1
% % %                row(tell)=j;
% % %            end
% % %         end
% % %     end
% % % end
% % % 
% % % Surge_new(row,:)=[];
%%
fileID3=fopen('test.dat','w');



%headerlines 69
dof1=sprintf('%s','SURGE QUADRATIC TRANSFER FUNCTION');
dof2=sprintf('%s','SWAY QUADRATIC TRANSFER FUNCTION')
dof3=sprintf('%s','HEAVE QUADRATIC TRANSFER FUNCTION');
dof4=sprintf('%s','ROLL QUADRATIC TRANSFER FUNCTION');
dof5=sprintf('%s','PITCH QUADRATIC TRANSFER FUNCTION');
dof6=sprintf('%s','YAW QUADRATIC TRANSFER FUNCTION');
line=sprintf('%s','---------------------------------------------------------------');
line2=sprintf('%s','idqtf1 idqtf2 iwqtf1 iwqtf2         a                b');
%'idqtf1 idqtf2 iwqtf1 iwqtf2  a b
%direction 1, direction 2, frequency 1 frequency 2 real part imaginary part
fprintf(fileID3,'%s\n%s\n%s\n%s\n',line,dof1,line,line2);
for i = 1:length(a_1)
    fprintf(fileID3,'%d %d %d %d %f %f\n',idqtf1(i),idqtf2(i),freq1_1(i),freq2_1(i),a_1(i),b_1(i));
end

fprintf(fileID3,'%s\n%s\n%s\n%s\n',line,dof2,line,line2);
for i = 1:length(a_2)
    fprintf(fileID3,'%d %d %d %d %f %f\n',idqtf1(i),idqtf2(i),freq1_2(i),freq2_2(i),a_2(i),b_2(i));
end    

fprintf(fileID3,'%s\n%s\n%s\n%s\n',line,dof3,line,line2);
for i = 1:length(a_3)
    fprintf(fileID3,'%d %d %d %d %f %f\n',idqtf1(i),idqtf2(i),freq1_3(i),freq2_3(i),a_3(i),b_3(i));
end    

fprintf(fileID3,'%s\n%s\n%s\n%s\n',line,dof4,line,line2);
for i = 1:length(a_4)
    fprintf(fileID3,'%d %d %d %d %f %f\n',idqtf1(i),idqtf2(i),freq1_4(i),freq2_4(i),a_4(i),b_4(i));
end    

fprintf(fileID3,'%s\n%s\n%s\n%s\n',line,dof5,line,line2);
for i = 1:length(a_5)
    fprintf(fileID3,'%d %d %d %d %f %f\n',idqtf1(i),idqtf2(i),freq1_5(i),freq2_5(i),a_5(i),b_5(i));
end    

fprintf(fileID3,'%s\n%s\n%s\n%s\n',line,dof6,line,line2);
for i = 1:length(a_6)
    fprintf(fileID3,'%d %d %d %d %f %f\n',idqtf1(i),idqtf2(i),freq1_6(i),freq2_6(i),a_6(i),b_6(i));
end    


fclose(fileID1)
