%name:      force_spectrum.m
%objective: calculate the force spectrum as a function of wave frequency
%PLOT:      The spectrum for all dof
function S_F = force_spectrum(S_w,H_zeta_F,w)
S_F=zeros(length(w),6);
for j = 1:length(w)
    H=abs(H_zeta_F(j,:));
    for k = 1:6
        S_F(j,k)=H(k)^2*S_w(j);
    end
   
end
end
