// HydroD V4.5-08 started 02-Oct-2013 09:49:37
// HydroD V4.5-08 ended 02-Oct-2013 09:49:38
// HydroD V4.5-08 started 02-Oct-2013 09:49:38
//Exported using: HydroD V4.5-08 started 01-Oct-2013 14:39:51
// ***********************************************************
DirectionSet1 = DirectionSet(Array(0 deg));
// ***********************************************************
Direction1 = Direction(0 deg);
// ***********************************************************
FrequencySet1 = FrequencySet(FrequencyTypeFrequency, Array(0.1 rad/s,0.3 rad/s,0.5 rad/s,0.7 rad/s,0.9 rad/s,1.1 rad/s,1.3 rad/s,1.5 rad/s,2 rad/s,2.5 rad/s,3 rad/s));
// ***********************************************************
DirectionSet2 = DirectionSet(Array(0 deg));
// ***********************************************************
FrequencySet2 = FrequencySet(FrequencyTypeFrequency, Array(4 rad/s));
// ***********************************************************
Location1 = Location();
Location1.setDepth(300 m);
Location1.gravity = 9.81 m/s^2;
Location1.air().density = 1.226 Kg/m^3;
Location1.air().kinematicViscosity = 1.462e-005 m^2/s;
Location1.water().density = 1025 Kg/m^3;
Location1.water().kinematicViscosity = 1.19e-006 m^2/s;
Location1.seabed().normaldirection = Vector3d(0 m,0 m,1 m);
// ***********************************************************
Condition1 = FrequencyDomain(Location1);
Condition1.waterSurface().directionSet = DirectionSet1;
Condition1.waterSurface().frequencySet = FrequencySet1;
Condition1.water().setNoCurrent();
// ***********************************************************
Location2 = Location();
Location2.setDepth(300 m);
Location2.gravity = 9.81 m/s^2;
Location2.air().density = 1.226 Kg/m^3;
Location2.air().kinematicViscosity = 1.462e-005 m^2/s;
Location2.water().density = 1025 Kg/m^3;
Location2.water().kinematicViscosity = 1.19e-006 m^2/s;
Location2.seabed().normaldirection = Vector3d(0 m,0 m,1 m);
// ***********************************************************
Condition2 = FrequencyDomain(Location2);
Condition2.waterSurface().directionSet = DirectionSet1;
Condition2.waterSurface().frequencySet = FrequencySet1;
Condition2.water().setNoCurrent();
// ***********************************************************
HydroModel1 = HydroModel(HydroModelFloating);
HydroModel1.setColumnStabilized(true);
HydroModel1.setBaselineZPos(0 m);
HydroModel1.setAPXPos(0 m);
HydroModel1.setFPXPos(100 m);
HydroModel1.clearReportMetaCenterRotationAxisAzim();
HydroModel1.addReportMetaCenterRotationAxisAzim(0 deg);
HydroModel1.addReportMetaCenterRotationAxisAzim(90 deg);
HydroModel1.clearReportHeelTrimCombinations();
HydroModel1.addReportHeelTrimCombination(0 deg, 0 deg);
HydroModel1.clearReportZWaterlines();
HydroModel1.addReportZWaterline(-17.5 m);
HydroModel1.addReportZWaterline(-17 m);
HydroModel1.addReportZWaterline(-16.5 m);
HydroModel1.addReportZWaterline(-16 m);
HydroModel1.addReportZWaterline(-15.5 m);
HydroModel1.addReportZWaterline(-15 m);
HydroModel1.addReportZWaterline(-14.5 m);
HydroModel1.addReportZWaterline(-14 m);
HydroModel1.addReportZWaterline(-13.5 m);
HydroModel1.addReportZWaterline(-13 m);
HydroModel1.addReportZWaterline(-12.5 m);
HydroModel1.addReportZWaterline(-12 m);
HydroModel1.addReportZWaterline(-11.5 m);
HydroModel1.addReportZWaterline(-11 m);
HydroModel1.addReportZWaterline(-10.5 m);
HydroModel1.addReportZWaterline(-10 m);
HydroModel1.addReportZWaterline(-9.5 m);
HydroModel1.addReportZWaterline(-9 m);
HydroModel1.addReportZWaterline(-8.5 m);
HydroModel1.addReportZWaterline(-8 m);
HydroModel1.addReportZWaterline(-7.5 m);
HydroModel1.addReportZWaterline(-7 m);
HydroModel1.addReportZWaterline(-6.5 m);
HydroModel1.addReportZWaterline(-6 m);
HydroModel1.addReportZWaterline(-5.5 m);
HydroModel1.addReportZWaterline(-5 m);
HydroModel1.addReportZWaterline(-4.5 m);
HydroModel1.addReportZWaterline(-4 m);
HydroModel1.addReportZWaterline(-3.5 m);
HydroModel1.addReportZWaterline(-3 m);
HydroModel1.addReportZWaterline(-2.5 m);
HydroModel1.addReportZWaterline(-2 m);
HydroModel1.addReportZWaterline(-1.5 m);
HydroModel1.addReportZWaterline(-1 m);
HydroModel1.addReportZWaterline(-0.5 m);
HydroModel1.addReportZWaterline(0 m);
HydroModel1.addReportZWaterline(0.5 m);
HydroModel1.addReportZWaterline(1 m);
HydroModel1.addReportZWaterline(1.5 m);
HydroModel1.addReportZWaterline(2 m);
HydroModel1.addReportZWaterline(2.5 m);
HydroModel1.addReportZWaterline(3 m);
HydroModel1.addReportZWaterline(3.5 m);
HydroModel1.addReportZWaterline(4 m);
HydroModel1.addReportZWaterline(4.5 m);
HydroModel1.addReportZWaterline(5 m);
HydroModel1.addReportZWaterline(5.5 m);
HydroModel1.addReportZWaterline(6 m);
HydroModel1.addReportZWaterline(6.5 m);
HydroModel1.addReportZWaterline(7 m);
HydroModel1.addReportZWaterline(7.5 m);
HydroModel1.addReportZWaterline(8 m);
HydroModel1.addReportZWaterline(8.5 m);
HydroModel1.addReportZWaterline(9 m);
HydroModel1.addReportZWaterline(9.5 m);
HydroModel1.addReportZWaterline(10 m);
HydroModel1.setKidTag("4cc0d1fd-dfef-4852-9f58-b3d1d41c3856");
// ***********************************************************
PressureArea1 = PressureAreaSection(HydroModel1, 10 m);
PressureArea1.setKidTag("e169e892-f8a2-47d1-b2db-80f46d851dde");
// ***********************************************************
braces = MorisonSection(HydroModel1);
braces.drySection(false);
braces.setSectionName("braces");
braces.retainedDiameter(false);
braces.setDiameter(0.0021 m);
braces.setDragCoefficientY(1000);
braces.setDragCoefficientZ(1000);
braces.setAddedMassCoefficientY(0);
braces.setAddedMassCoefficientZ(0);
braces.partOfDualModel(true);
braces.retainedMass(true);
braces.setNoSubElements(1);
braces.setKidTag("9e288ce4-c024-4839-aeb6-a725b4a5be30");
// ***********************************************************
column = MorisonSection(HydroModel1);
column.drySection(false);
column.setSectionName("column");
column.retainedDiameter(false);
column.setDiameter(0.01 m);
column.setDragCoefficientY(1000);
column.setDragCoefficientZ(1000);
column.setAddedMassCoefficientY(0);
column.setAddedMassCoefficientZ(0);
column.partOfDualModel(true);
column.retainedMass(true);
column.setNoSubElements(1);
column.setKidTag("9ae2ecda-d93c-489b-b9af-1ea08bea2e8e");
// ***********************************************************
Morison3DSection1 = Morison3DSection(HydroModel1);
Morison3DSection1.useBuoyancyForce(false);
Morison3DSection1.useDynamicForce(true);
Morison3DSection1.setRadius(19.3);
Morison3DSection1.setMass(0 Kg);
Morison3DSection1.setDragCoefficientX(7.5);
Morison3DSection1.setDragCoefficientY(0);
Morison3DSection1.setDragCoefficientZ(0);
Morison3DSection1.setAddedMassCoefficientX(0);
Morison3DSection1.setAddedMassCoefficientY(0);
Morison3DSection1.setAddedMassCoefficientZ(0);
Morison3DSection1.setKidTag("32267257-d345-4934-a4f3-db9d712a575d");
// ***********************************************************
PanelModel1 = PanelModel(HydroModel1, ElementEnumsFEMFile, "../T1.FEM", true, false);
PanelModel1.setKidTag("42e44c91-0547-4532-b962-124031784f40");
// ***********************************************************
MorisonModel1 = MorisonModel(HydroModel1, ElementEnumsFEMFile, "../T2.FEM");
MorisonModel1.refreshMorisonSections();
MorisonModel1.setKidTag("20f72e23-477e-4259-a4be-54fd70db85a7");
// ***********************************************************
Morison3DElement1 = Morison3DElement(MorisonModel1);
Morison3DElement1.setNodeNumber(2);
Morison3DElement1.specifyLocalCoordinateSystem(true);
Morison3DElement1.setGuideNodeNumber(3);
Morison3DElement1.morison3DSection = Morison3DSection1;
Morison3DElement1.setKidTag("6663ca3d-ddd3-4840-9810-5d56264588c5");
// ***********************************************************
Morison3DElement2 = Morison3DElement(MorisonModel1);
Morison3DElement2.setNodeNumber(54);
Morison3DElement2.specifyLocalCoordinateSystem(true);
Morison3DElement2.setGuideNodeNumber(43);
Morison3DElement2.morison3DSection = Morison3DSection1;
Morison3DElement2.setKidTag("a2c41327-ea91-48fe-88da-bca1836560de");
// ***********************************************************
Morison3DElement3 = Morison3DElement(MorisonModel1);
Morison3DElement3.setNodeNumber(24);
Morison3DElement3.specifyLocalCoordinateSystem(true);
Morison3DElement3.setGuideNodeNumber(22);
Morison3DElement3.morison3DSection = Morison3DSection1;
Morison3DElement3.setKidTag("de03fd1f-7e6c-4db3-b557-a59bf3f2e5b8");
// ***********************************************************
LoadingCondition1 = LoadingCondition(HydroModel1, 0 m, 0 deg, 0 deg);
LoadingCondition1.setByDraft(false);
LoadingCondition1.interpolateDampingMatrices(false);
LoadingCondition1.addDampingMatricesToWadam(true);
LoadingCondition1.setKidTag("436f6244-aba4-40b1-81e4-0c25ee4c133f");
// ***********************************************************
MassModel1 = MassModel(LoadingCondition1, MassModelSpecified);
MassModel1.setUserMassCoordinateSystem(GlobalCoordinateSystem);
MassModel1.setTotalMass(4619000 Kg);
MassModel1.setCOG(Point(-0.331 m,0 m,1.489 m));
MassModel1.setRadiusGyration(Vector3d(34.29 m,34.14 m,26.17 m));
MassModel1.setSpecificProductInertia(0 m, 16.53 m, 0 m);
MassModel1.addTankMass(false);
MassModel1.updateStiffnessWithFreeSurfaceEffect(false);
MassModel1.setKidTag("2c2e7d9c-bfb4-4b74-b406-f8178e23a658");
// ***********************************************************
// ***********************************************************
HydroModel2 = HydroModel(HydroModelFloating);
HydroModel2.setColumnStabilized(true);
HydroModel2.setBaselineZPos(0 m);
HydroModel2.setAPXPos(0 m);
HydroModel2.setFPXPos(100 m);
HydroModel2.clearReportMetaCenterRotationAxisAzim();
HydroModel2.addReportMetaCenterRotationAxisAzim(0 deg);
HydroModel2.addReportMetaCenterRotationAxisAzim(90 deg);
HydroModel2.clearReportHeelTrimCombinations();
HydroModel2.addReportHeelTrimCombination(0 deg, 0 deg);
HydroModel2.clearReportZWaterlines();
HydroModel2.addReportZWaterline(-17.5 m);
HydroModel2.addReportZWaterline(-17 m);
HydroModel2.addReportZWaterline(-16.5 m);
HydroModel2.addReportZWaterline(-16 m);
HydroModel2.addReportZWaterline(-15.5 m);
HydroModel2.addReportZWaterline(-15 m);
HydroModel2.addReportZWaterline(-14.5 m);
HydroModel2.addReportZWaterline(-14 m);
HydroModel2.addReportZWaterline(-13.5 m);
HydroModel2.addReportZWaterline(-13 m);
HydroModel2.addReportZWaterline(-12.5 m);
HydroModel2.addReportZWaterline(-12 m);
HydroModel2.addReportZWaterline(-11.5 m);
HydroModel2.addReportZWaterline(-11 m);
HydroModel2.addReportZWaterline(-10.5 m);
HydroModel2.addReportZWaterline(-10 m);
HydroModel2.addReportZWaterline(-9.5 m);
HydroModel2.addReportZWaterline(-9 m);
HydroModel2.addReportZWaterline(-8.5 m);
HydroModel2.addReportZWaterline(-8 m);
HydroModel2.addReportZWaterline(-7.5 m);
HydroModel2.addReportZWaterline(-7 m);
HydroModel2.addReportZWaterline(-6.5 m);
HydroModel2.addReportZWaterline(-6 m);
HydroModel2.addReportZWaterline(-5.5 m);
HydroModel2.addReportZWaterline(-5 m);
HydroModel2.addReportZWaterline(-4.5 m);
HydroModel2.addReportZWaterline(-4 m);
HydroModel2.addReportZWaterline(-3.5 m);
HydroModel2.addReportZWaterline(-3 m);
HydroModel2.addReportZWaterline(-2.5 m);
HydroModel2.addReportZWaterline(-2 m);
HydroModel2.addReportZWaterline(-1.5 m);
HydroModel2.addReportZWaterline(-1 m);
HydroModel2.addReportZWaterline(-0.5 m);
HydroModel2.addReportZWaterline(0 m);
HydroModel2.setKidTag("8d7df30a-8146-464f-b271-3352de746742");
// ***********************************************************
PanelModel2 = PanelModel(HydroModel2, ElementEnumsFEMFile, "../../../../W:/HydroD/T1.FEM", true, false);
PanelModel2.setKidTag("297dc413-baaa-473c-b078-e65e29b37a89");
// ***********************************************************
LoadingCondition2 = LoadingCondition(HydroModel2, 0 m, 0 deg, 0 deg);
LoadingCondition2.setByDraft(false);
LoadingCondition2.interpolateDampingMatrices(false);
LoadingCondition2.addDampingMatricesToWadam(true);
LoadingCondition2.setKidTag("9a22b35e-b944-4f17-99e9-32028b742b9d");
// ***********************************************************
MassModel2 = MassModel(LoadingCondition2, MassModelSpecified);
MassModel2.setUserMassCoordinateSystem(GlobalCoordinateSystem);
MassModel2.setTotalMass(4619000 Kg);
MassModel2.setCOG(Point(-0.331 m,0 m,1.489 m));
MassModel2.setRadiusGyration(Vector3d(34.29 m,34.14 m,26.17 m));
MassModel2.setSpecificProductInertia(0 m, 16.53 m, 0 m);
MassModel2.addTankMass(false);
MassModel2.updateStiffnessWithFreeSurfaceEffect(true);
MassModel2.setKidTag("2a1c948d-c4b4-472a-a523-82e7a7266f53");
// ***********************************************************
// ***********************************************************
WadamRun1 = WadamRun();
WadamRun1.useMultiBody(false);
WadamRun1.setHydroModel(HydroModel1);
WadamRun1.setLoadingCondition(LoadingCondition1);
WadamRun1.setEnvironmentData(Condition1);
WadamRun1.useSeaState(false);
WadamRun1.dataCheck(false);
WadamRun1.setAnalysisType(WadamRunGlobalResponse);
WadamRun1.setDragType(WadamRunSpecifiedVelocityDrag);
WadamRun1.setDragVelocity(1 m/s);
WadamRun1.setWaveType(WadamRunIncidentWave);
WadamRun1.calculateDrift(false);
WadamRun1.waveDriftDamping(false);
WadamRun1.setSolverType(WadamRunDirectSolver);
WadamRun1.setMaxMatrixDimension(3000);
WadamRun1.setSingularityType(WadamRunAnalyticalSingularity);
WadamRun1.setIntegrationType(WadamRunOneNodeGauss);
WadamRun1.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
WadamRun1.removeIrrFrequencies(false);
WadamRun1.saveTempWamitFiles(false);
WadamRun1.stopBeforePotenExecution(false);
WadamRun1.bypassPotenExecution(false);
WadamRun1.stopBeforeFirstForceExecution(false);
WadamRun1.bypassFirstForceExecution(false);
WadamRun1.useWadamMassCalculation(false);
WadamRun1.stopBeforeSecondForceExecution(false);
WadamRun1.bypassSecondForceExecution(false);
WadamRun1.useSaveRestart(false);
WadamRun1.setPrintType(WadamRunNormalPrint);
WadamRun1.setResponseFileType(WadamRunSIFFormatted);
WadamRun1.calculateEigenvalues(true);
WadamRun1.defineGlobalResponseReferencePoint(false);
WadamRun1.setGlobalResponseReferencePoint(Point(0 m,0 m,0 m));
WadamRun1.setWaterlinePanelMethod(WadamRunNoPanelPressureAdjustment);
WadamRun1.setLoadTransferLinearInterpolationXmin(0);
WadamRun1.setLoadTransferLinearInterpolationXmax(0);
WadamRun1.sumFrequencyResults(false);
WadamRun1.differenceFrequencyResults(false);
WadamRun1.computeSecondOrderForce(false);
WadamRun1.setSecondOrderForceCalculationMethod(WadamRunInDirectSecondOrderForce);
WadamRun1.computeSecondOrderPressureOnBody(false);
WadamRun1.computeSecondOrderPressureInFluid(false);
WadamRun1.computeSecondOrderWaveElevation(false);
WadamRun1.setToleranceWaterLine(5);
WadamRun1.setToleranceCOG(5);
WadamRun1.setCharacteristicLength(100 m);
WadamRun1.calculateRollDamping(false);
WadamRun1.specifyOutputDirectory(false);
WadamRun1.autoOwerwriteExistingResultFiles(false);
WadamRun1.setKidTag("ef8859e1-cb2c-4c8b-ac51-d0d8101a0b1f");
// ***********************************************************
WadamRun2 = WadamRun();
WadamRun2.useMultiBody(false);
WadamRun2.setHydroModel(HydroModel2);
WadamRun2.setLoadingCondition(LoadingCondition2);
WadamRun2.setEnvironmentData(Condition2);
WadamRun2.useSeaState(false);
WadamRun2.dataCheck(false);
WadamRun2.setAnalysisType(WadamRunGlobalResponse);
WadamRun2.calculateDrift(false);
WadamRun2.waveDriftDamping(false);
WadamRun2.setSolverType(WadamRunDirectSolver);
WadamRun2.setMaxMatrixDimension(3000);
WadamRun2.setSingularityType(WadamRunAnalyticalSingularity);
WadamRun2.setIntegrationType(WadamRunOneNodeGauss);
WadamRun2.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
WadamRun2.removeIrrFrequencies(false);
WadamRun2.saveTempWamitFiles(false);
WadamRun2.stopBeforePotenExecution(false);
WadamRun2.bypassPotenExecution(false);
WadamRun2.stopBeforeFirstForceExecution(false);
WadamRun2.bypassFirstForceExecution(false);
WadamRun2.useWadamMassCalculation(false);
WadamRun2.stopBeforeSecondForceExecution(false);
WadamRun2.bypassSecondForceExecution(false);
WadamRun2.useSaveRestart(false);
WadamRun2.setPrintType(WadamRunNormalPrint);
WadamRun2.setResponseFileType(WadamRunSIFFormatted);
WadamRun2.calculateEigenvalues(true);
WadamRun2.defineGlobalResponseReferencePoint(false);
WadamRun2.setGlobalResponseReferencePoint(Point(0 m,0 m,0 m));
WadamRun2.setWaterlinePanelMethod(WadamRunNoPanelPressureAdjustment);
WadamRun2.setLoadTransferLinearInterpolationXmin(0);
WadamRun2.setLoadTransferLinearInterpolationXmax(0);
WadamRun2.sumFrequencyResults(false);
WadamRun2.differenceFrequencyResults(false);
WadamRun2.computeSecondOrderForce(false);
WadamRun2.setSecondOrderForceCalculationMethod(WadamRunInDirectSecondOrderForce);
WadamRun2.computeSecondOrderPressureOnBody(false);
WadamRun2.computeSecondOrderPressureInFluid(false);
WadamRun2.computeSecondOrderWaveElevation(false);
WadamRun2.setToleranceWaterLine(5);
WadamRun2.setToleranceCOG(5);
WadamRun2.setCharacteristicLength(100 m);
WadamRun2.calculateRollDamping(false);
WadamRun2.specifyOutputDirectory(false);
WadamRun2.autoOwerwriteExistingResultFiles(false);
WadamRun2.setKidTag("6072810b-fec5-472f-b13e-1c962f98ed09");
// ***********************************************************
WadamWizard1 = WadamWizard();
WadamWizard1.setModelConfiguration(WadamWorkflowDualModel);
WadamWizard1.setPanelModelConfiguration(WadamWorkflowElementPanelModel);
WadamWizard1.stochasticDrag = false;
WadamWizard1.waveHeightSurfaceDrag = false;
WadamWizard1.loadCrossection = false;
WadamWizard1.loadTransfer = false;
WadamWizard1.tankPressure = false;
WadamWizard1.pressurePanels = false;
WadamWizard1.anchorElements = false;
WadamWizard1.morison3DElements = true;
WadamWizard1.tlpElements = false;
WadamWizard1.offbodyPoints = false;
WadamWizard1.secondOrder = false;
WadamWizard1.dampingMatrix = false;
WadamWizard1.criticalDamping = false;
WadamWizard1.restoringMatrix = false;
WadamWizard1.addEditObject(DirectionSet1);
WadamWizard1.addEditObject(FrequencySet1);
WadamWizard1.addEditObject(Location1);
WadamWizard1.addEditObject(Condition1);
WadamWizard1.addEditObject(HydroModel1);
WadamWizard1.addEditObject(MorisonModel1);
WadamWizard1.addEditObject(PanelModel1);
WadamWizard1.addEditObject(column);
WadamWizard1.addEditObject(PressureArea1);
WadamWizard1.addEditObject(MassModel1);
WadamWizard1.addEditObject(LoadingCondition1);
WadamWizard1.addEditObject(Morison3DElement3);
WadamWizard1.addEditObject(WadamRun1);
WadamWizard1.addEditObject(Morison3DSection1);
WadamWizard1.setKidTag("edb963f5-06a9-46e7-8f11-9e5dd66e01e6");
// ***********************************************************
WadamWizard2 = WadamWizard();
WadamWizard2.setModelConfiguration(WadamWorkflowPanelModel);
WadamWizard2.setPanelModelConfiguration(WadamWorkflowElementPanelModel);
WadamWizard2.timeDomain(false);
WadamWizard2.rollDamping = false;
WadamWizard2.loadCrossection = false;
WadamWizard2.loadTransfer = false;
WadamWizard2.tankPressure = false;
WadamWizard2.pressurePanels = false;
WadamWizard2.offbodyPoints = false;
WadamWizard2.secondOrder = true;
WadamWizard2.dampingMatrix = false;
WadamWizard2.criticalDamping = false;
WadamWizard2.restoringMatrix = false;
WadamWizard2.addEditObject(DirectionSet2);
WadamWizard2.addEditObject(FrequencySet2);
WadamWizard2.addEditObject(Location2);
WadamWizard2.addEditObject(Condition2);
WadamWizard2.addEditObject(HydroModel2);
WadamWizard2.addEditObject(PanelModel2);
WadamWizard2.addEditObject(LoadingCondition2);
WadamWizard2.addEditObject(MassModel2);
WadamWizard2.addEditObject(WadamRun2);
WadamWizard2.setKidTag("fb982561-91e3-4e2a-926c-a11f01eee7a8");
// HydroD V4.5-08 ended 02-Oct-2013 09:51:40
// HydroD V4.5-08 started 02-Oct-2013 09:52:04
//Exported using: HydroD V4.5-08 started 01-Oct-2013 14:39:51
// ***********************************************************
DirectionSet1 = DirectionSet(Array(0 deg));
// ***********************************************************
Direction1 = Direction(0 deg);
// ***********************************************************
FrequencySet1 = FrequencySet(FrequencyTypeFrequency, Array(0.1 rad/s,0.3 rad/s,0.5 rad/s,0.7 rad/s,0.9 rad/s,1.1 rad/s,1.3 rad/s,1.5 rad/s,2 rad/s,2.5 rad/s,3 rad/s));
// ***********************************************************
DirectionSet2 = DirectionSet(Array(0 deg));
// ***********************************************************
FrequencySet2 = FrequencySet(FrequencyTypeFrequency, Array(4 rad/s));
// ***********************************************************
Location1 = Location();
Location1.setDepth(300 m);
Location1.gravity = 9.81 m/s^2;
Location1.air().density = 1.226 Kg/m^3;
Location1.air().kinematicViscosity = 1.462e-005 m^2/s;
Location1.water().density = 1025 Kg/m^3;
Location1.water().kinematicViscosity = 1.19e-006 m^2/s;
Location1.seabed().normaldirection = Vector3d(0 m,0 m,1 m);
// ***********************************************************
Condition1 = FrequencyDomain(Location1);
Condition1.waterSurface().directionSet = DirectionSet1;
Condition1.waterSurface().frequencySet = FrequencySet1;
Condition1.water().setNoCurrent();
// ***********************************************************
Location2 = Location();
Location2.setDepth(300 m);
Location2.gravity = 9.81 m/s^2;
Location2.air().density = 1.226 Kg/m^3;
Location2.air().kinematicViscosity = 1.462e-005 m^2/s;
Location2.water().density = 1025 Kg/m^3;
Location2.water().kinematicViscosity = 1.19e-006 m^2/s;
Location2.seabed().normaldirection = Vector3d(0 m,0 m,1 m);
// ***********************************************************
Condition2 = FrequencyDomain(Location2);
Condition2.waterSurface().directionSet = DirectionSet1;
Condition2.waterSurface().frequencySet = FrequencySet1;
Condition2.water().setNoCurrent();
// ***********************************************************
HydroModel1 = HydroModel(HydroModelFloating);
HydroModel1.setColumnStabilized(true);
HydroModel1.setBaselineZPos(0 m);
HydroModel1.setAPXPos(0 m);
HydroModel1.setFPXPos(100 m);
HydroModel1.clearReportMetaCenterRotationAxisAzim();
HydroModel1.addReportMetaCenterRotationAxisAzim(0 deg);
HydroModel1.addReportMetaCenterRotationAxisAzim(90 deg);
HydroModel1.clearReportHeelTrimCombinations();
HydroModel1.addReportHeelTrimCombination(0 deg, 0 deg);
HydroModel1.clearReportZWaterlines();
HydroModel1.addReportZWaterline(-17.5 m);
HydroModel1.addReportZWaterline(-17 m);
HydroModel1.addReportZWaterline(-16.5 m);
HydroModel1.addReportZWaterline(-16 m);
HydroModel1.addReportZWaterline(-15.5 m);
HydroModel1.addReportZWaterline(-15 m);
HydroModel1.addReportZWaterline(-14.5 m);
HydroModel1.addReportZWaterline(-14 m);
HydroModel1.addReportZWaterline(-13.5 m);
HydroModel1.addReportZWaterline(-13 m);
HydroModel1.addReportZWaterline(-12.5 m);
HydroModel1.addReportZWaterline(-12 m);
HydroModel1.addReportZWaterline(-11.5 m);
HydroModel1.addReportZWaterline(-11 m);
HydroModel1.addReportZWaterline(-10.5 m);
HydroModel1.addReportZWaterline(-10 m);
HydroModel1.addReportZWaterline(-9.5 m);
HydroModel1.addReportZWaterline(-9 m);
HydroModel1.addReportZWaterline(-8.5 m);
HydroModel1.addReportZWaterline(-8 m);
HydroModel1.addReportZWaterline(-7.5 m);
HydroModel1.addReportZWaterline(-7 m);
HydroModel1.addReportZWaterline(-6.5 m);
HydroModel1.addReportZWaterline(-6 m);
HydroModel1.addReportZWaterline(-5.5 m);
HydroModel1.addReportZWaterline(-5 m);
HydroModel1.addReportZWaterline(-4.5 m);
HydroModel1.addReportZWaterline(-4 m);
HydroModel1.addReportZWaterline(-3.5 m);
HydroModel1.addReportZWaterline(-3 m);
HydroModel1.addReportZWaterline(-2.5 m);
HydroModel1.addReportZWaterline(-2 m);
HydroModel1.addReportZWaterline(-1.5 m);
HydroModel1.addReportZWaterline(-1 m);
HydroModel1.addReportZWaterline(-0.5 m);
HydroModel1.addReportZWaterline(0 m);
HydroModel1.addReportZWaterline(0.5 m);
HydroModel1.addReportZWaterline(1 m);
HydroModel1.addReportZWaterline(1.5 m);
HydroModel1.addReportZWaterline(2 m);
HydroModel1.addReportZWaterline(2.5 m);
HydroModel1.addReportZWaterline(3 m);
HydroModel1.addReportZWaterline(3.5 m);
HydroModel1.addReportZWaterline(4 m);
HydroModel1.addReportZWaterline(4.5 m);
HydroModel1.addReportZWaterline(5 m);
HydroModel1.addReportZWaterline(5.5 m);
HydroModel1.addReportZWaterline(6 m);
HydroModel1.addReportZWaterline(6.5 m);
HydroModel1.addReportZWaterline(7 m);
HydroModel1.addReportZWaterline(7.5 m);
HydroModel1.addReportZWaterline(8 m);
HydroModel1.addReportZWaterline(8.5 m);
HydroModel1.addReportZWaterline(9 m);
HydroModel1.addReportZWaterline(9.5 m);
HydroModel1.addReportZWaterline(10 m);
HydroModel1.setKidTag("4cc0d1fd-dfef-4852-9f58-b3d1d41c3856");
// ***********************************************************
PressureArea1 = PressureAreaSection(HydroModel1, 10 m);
PressureArea1.setKidTag("e169e892-f8a2-47d1-b2db-80f46d851dde");
// ***********************************************************
braces = MorisonSection(HydroModel1);
braces.drySection(false);
braces.setSectionName("braces");
braces.retainedDiameter(false);
braces.setDiameter(0.0021 m);
braces.setDragCoefficientY(1000);
braces.setDragCoefficientZ(1000);
braces.setAddedMassCoefficientY(0);
braces.setAddedMassCoefficientZ(0);
braces.partOfDualModel(true);
braces.retainedMass(true);
braces.setNoSubElements(1);
braces.setKidTag("9e288ce4-c024-4839-aeb6-a725b4a5be30");
// ***********************************************************
column = MorisonSection(HydroModel1);
column.drySection(false);
column.setSectionName("column");
column.retainedDiameter(false);
column.setDiameter(0.01 m);
column.setDragCoefficientY(1000);
column.setDragCoefficientZ(1000);
column.setAddedMassCoefficientY(0);
column.setAddedMassCoefficientZ(0);
column.partOfDualModel(true);
column.retainedMass(true);
column.setNoSubElements(1);
column.setKidTag("9ae2ecda-d93c-489b-b9af-1ea08bea2e8e");
// ***********************************************************
Morison3DSection1 = Morison3DSection(HydroModel1);
Morison3DSection1.useBuoyancyForce(false);
Morison3DSection1.useDynamicForce(true);
Morison3DSection1.setRadius(19.3);
Morison3DSection1.setMass(0 Kg);
Morison3DSection1.setDragCoefficientX(7.5);
Morison3DSection1.setDragCoefficientY(0);
Morison3DSection1.setDragCoefficientZ(0);
Morison3DSection1.setAddedMassCoefficientX(0);
Morison3DSection1.setAddedMassCoefficientY(0);
Morison3DSection1.setAddedMassCoefficientZ(0);
Morison3DSection1.setKidTag("32267257-d345-4934-a4f3-db9d712a575d");
// ***********************************************************
PanelModel1 = PanelModel(HydroModel1, ElementEnumsFEMFile, "../T1.FEM", true, false);
PanelModel1.setKidTag("42e44c91-0547-4532-b962-124031784f40");
// ***********************************************************
MorisonModel1 = MorisonModel(HydroModel1, ElementEnumsFEMFile, "../T2.FEM");
MorisonModel1.refreshMorisonSections();
MorisonModel1.setKidTag("20f72e23-477e-4259-a4be-54fd70db85a7");
// ***********************************************************
Morison3DElement1 = Morison3DElement(MorisonModel1);
Morison3DElement1.setNodeNumber(2);
Morison3DElement1.specifyLocalCoordinateSystem(true);
Morison3DElement1.setGuideNodeNumber(3);
Morison3DElement1.morison3DSection = Morison3DSection1;
Morison3DElement1.setKidTag("6663ca3d-ddd3-4840-9810-5d56264588c5");
// ***********************************************************
Morison3DElement2 = Morison3DElement(MorisonModel1);
Morison3DElement2.setNodeNumber(54);
Morison3DElement2.specifyLocalCoordinateSystem(true);
Morison3DElement2.setGuideNodeNumber(43);
Morison3DElement2.morison3DSection = Morison3DSection1;
Morison3DElement2.setKidTag("a2c41327-ea91-48fe-88da-bca1836560de");
// ***********************************************************
Morison3DElement3 = Morison3DElement(MorisonModel1);
Morison3DElement3.setNodeNumber(24);
Morison3DElement3.specifyLocalCoordinateSystem(true);
Morison3DElement3.setGuideNodeNumber(22);
Morison3DElement3.morison3DSection = Morison3DSection1;
Morison3DElement3.setKidTag("de03fd1f-7e6c-4db3-b557-a59bf3f2e5b8");
// ***********************************************************
LoadingCondition1 = LoadingCondition(HydroModel1, 0 m, 0 deg, 0 deg);
LoadingCondition1.setByDraft(false);
LoadingCondition1.interpolateDampingMatrices(false);
LoadingCondition1.addDampingMatricesToWadam(true);
LoadingCondition1.setKidTag("436f6244-aba4-40b1-81e4-0c25ee4c133f");
// ***********************************************************
MassModel1 = MassModel(LoadingCondition1, MassModelSpecified);
MassModel1.setUserMassCoordinateSystem(GlobalCoordinateSystem);
MassModel1.setTotalMass(4619000 Kg);
MassModel1.setCOG(Point(-0.331 m,0 m,1.489 m));
MassModel1.setRadiusGyration(Vector3d(34.29 m,34.14 m,26.17 m));
MassModel1.setSpecificProductInertia(0 m, 16.53 m, 0 m);
MassModel1.addTankMass(false);
MassModel1.updateStiffnessWithFreeSurfaceEffect(false);
MassModel1.setKidTag("2c2e7d9c-bfb4-4b74-b406-f8178e23a658");
// ***********************************************************
// ***********************************************************
HydroModel2 = HydroModel(HydroModelFloating);
HydroModel2.setColumnStabilized(true);
HydroModel2.setBaselineZPos(0 m);
HydroModel2.setAPXPos(0 m);
HydroModel2.setFPXPos(100 m);
HydroModel2.clearReportMetaCenterRotationAxisAzim();
HydroModel2.addReportMetaCenterRotationAxisAzim(0 deg);
HydroModel2.addReportMetaCenterRotationAxisAzim(90 deg);
HydroModel2.clearReportHeelTrimCombinations();
HydroModel2.addReportHeelTrimCombination(0 deg, 0 deg);
HydroModel2.clearReportZWaterlines();
HydroModel2.addReportZWaterline(-17.5 m);
HydroModel2.addReportZWaterline(-17 m);
HydroModel2.addReportZWaterline(-16.5 m);
HydroModel2.addReportZWaterline(-16 m);
HydroModel2.addReportZWaterline(-15.5 m);
HydroModel2.addReportZWaterline(-15 m);
HydroModel2.addReportZWaterline(-14.5 m);
HydroModel2.addReportZWaterline(-14 m);
HydroModel2.addReportZWaterline(-13.5 m);
HydroModel2.addReportZWaterline(-13 m);
HydroModel2.addReportZWaterline(-12.5 m);
HydroModel2.addReportZWaterline(-12 m);
HydroModel2.addReportZWaterline(-11.5 m);
HydroModel2.addReportZWaterline(-11 m);
HydroModel2.addReportZWaterline(-10.5 m);
HydroModel2.addReportZWaterline(-10 m);
HydroModel2.addReportZWaterline(-9.5 m);
HydroModel2.addReportZWaterline(-9 m);
HydroModel2.addReportZWaterline(-8.5 m);
HydroModel2.addReportZWaterline(-8 m);
HydroModel2.addReportZWaterline(-7.5 m);
HydroModel2.addReportZWaterline(-7 m);
HydroModel2.addReportZWaterline(-6.5 m);
HydroModel2.addReportZWaterline(-6 m);
HydroModel2.addReportZWaterline(-5.5 m);
HydroModel2.addReportZWaterline(-5 m);
HydroModel2.addReportZWaterline(-4.5 m);
HydroModel2.addReportZWaterline(-4 m);
HydroModel2.addReportZWaterline(-3.5 m);
HydroModel2.addReportZWaterline(-3 m);
HydroModel2.addReportZWaterline(-2.5 m);
HydroModel2.addReportZWaterline(-2 m);
HydroModel2.addReportZWaterline(-1.5 m);
HydroModel2.addReportZWaterline(-1 m);
HydroModel2.addReportZWaterline(-0.5 m);
HydroModel2.addReportZWaterline(0 m);
HydroModel2.setKidTag("8d7df30a-8146-464f-b271-3352de746742");
// ***********************************************************
PanelModel2 = PanelModel(HydroModel2, ElementEnumsFEMFile, "../../../../W:/HydroD/T1.FEM", true, false);
PanelModel2.setKidTag("297dc413-baaa-473c-b078-e65e29b37a89");
// ***********************************************************
LoadingCondition2 = LoadingCondition(HydroModel2, 0 m, 0 deg, 0 deg);
LoadingCondition2.setByDraft(false);
LoadingCondition2.interpolateDampingMatrices(false);
LoadingCondition2.addDampingMatricesToWadam(true);
LoadingCondition2.setKidTag("9a22b35e-b944-4f17-99e9-32028b742b9d");
// ***********************************************************
MassModel2 = MassModel(LoadingCondition2, MassModelSpecified);
MassModel2.setUserMassCoordinateSystem(GlobalCoordinateSystem);
MassModel2.setTotalMass(4619000 Kg);
MassModel2.setCOG(Point(-0.331 m,0 m,1.489 m));
MassModel2.setRadiusGyration(Vector3d(34.29 m,34.14 m,26.17 m));
MassModel2.setSpecificProductInertia(0 m, 16.53 m, 0 m);
MassModel2.addTankMass(false);
MassModel2.updateStiffnessWithFreeSurfaceEffect(true);
MassModel2.setKidTag("2a1c948d-c4b4-472a-a523-82e7a7266f53");
// ***********************************************************
// ***********************************************************
WadamRun1 = WadamRun();
WadamRun1.useMultiBody(false);
WadamRun1.setHydroModel(HydroModel1);
WadamRun1.setLoadingCondition(LoadingCondition1);
WadamRun1.setEnvironmentData(Condition1);
WadamRun1.useSeaState(false);
WadamRun1.dataCheck(false);
WadamRun1.setAnalysisType(WadamRunGlobalResponse);
WadamRun1.setDragType(WadamRunSpecifiedVelocityDrag);
WadamRun1.setDragVelocity(1 m/s);
WadamRun1.setWaveType(WadamRunIncidentWave);
WadamRun1.calculateDrift(false);
WadamRun1.waveDriftDamping(false);
WadamRun1.setSolverType(WadamRunDirectSolver);
WadamRun1.setMaxMatrixDimension(3000);
WadamRun1.setSingularityType(WadamRunAnalyticalSingularity);
WadamRun1.setIntegrationType(WadamRunOneNodeGauss);
WadamRun1.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
WadamRun1.removeIrrFrequencies(false);
WadamRun1.saveTempWamitFiles(false);
WadamRun1.stopBeforePotenExecution(false);
WadamRun1.bypassPotenExecution(false);
WadamRun1.stopBeforeFirstForceExecution(false);
WadamRun1.bypassFirstForceExecution(false);
WadamRun1.useWadamMassCalculation(false);
WadamRun1.stopBeforeSecondForceExecution(false);
WadamRun1.bypassSecondForceExecution(false);
WadamRun1.useSaveRestart(false);
WadamRun1.setPrintType(WadamRunNormalPrint);
WadamRun1.setResponseFileType(WadamRunSIFFormatted);
WadamRun1.calculateEigenvalues(true);
WadamRun1.defineGlobalResponseReferencePoint(false);
WadamRun1.setGlobalResponseReferencePoint(Point(0 m,0 m,0 m));
WadamRun1.setWaterlinePanelMethod(WadamRunNoPanelPressureAdjustment);
WadamRun1.setLoadTransferLinearInterpolationXmin(0);
WadamRun1.setLoadTransferLinearInterpolationXmax(0);
WadamRun1.sumFrequencyResults(false);
WadamRun1.differenceFrequencyResults(false);
WadamRun1.computeSecondOrderForce(false);
WadamRun1.setSecondOrderForceCalculationMethod(WadamRunInDirectSecondOrderForce);
WadamRun1.computeSecondOrderPressureOnBody(false);
WadamRun1.computeSecondOrderPressureInFluid(false);
WadamRun1.computeSecondOrderWaveElevation(false);
WadamRun1.setToleranceWaterLine(5);
WadamRun1.setToleranceCOG(5);
WadamRun1.setCharacteristicLength(100 m);
WadamRun1.calculateRollDamping(false);
WadamRun1.specifyOutputDirectory(false);
WadamRun1.autoOwerwriteExistingResultFiles(false);
WadamRun1.setKidTag("ef8859e1-cb2c-4c8b-ac51-d0d8101a0b1f");
// ***********************************************************
WadamRun2 = WadamRun();
WadamRun2.useMultiBody(false);
WadamRun2.setHydroModel(HydroModel2);
WadamRun2.setLoadingCondition(LoadingCondition2);
WadamRun2.setEnvironmentData(Condition2);
WadamRun2.useSeaState(false);
WadamRun2.dataCheck(false);
WadamRun2.setAnalysisType(WadamRunGlobalResponse);
WadamRun2.calculateDrift(false);
WadamRun2.waveDriftDamping(false);
WadamRun2.setSolverType(WadamRunDirectSolver);
WadamRun2.setMaxMatrixDimension(3000);
WadamRun2.setSingularityType(WadamRunAnalyticalSingularity);
WadamRun2.setIntegrationType(WadamRunOneNodeGauss);
WadamRun2.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
WadamRun2.removeIrrFrequencies(false);
WadamRun2.saveTempWamitFiles(false);
WadamRun2.stopBeforePotenExecution(false);
WadamRun2.bypassPotenExecution(false);
WadamRun2.stopBeforeFirstForceExecution(false);
WadamRun2.bypassFirstForceExecution(false);
WadamRun2.useWadamMassCalculation(false);
WadamRun2.stopBeforeSecondForceExecution(false);
WadamRun2.bypassSecondForceExecution(false);
WadamRun2.useSaveRestart(false);
WadamRun2.setPrintType(WadamRunNormalPrint);
WadamRun2.setResponseFileType(WadamRunSIFFormatted);
WadamRun2.calculateEigenvalues(true);
WadamRun2.defineGlobalResponseReferencePoint(false);
WadamRun2.setGlobalResponseReferencePoint(Point(0 m,0 m,0 m));
WadamRun2.setWaterlinePanelMethod(WadamRunNoPanelPressureAdjustment);
WadamRun2.setLoadTransferLinearInterpolationXmin(0);
WadamRun2.setLoadTransferLinearInterpolationXmax(0);
WadamRun2.sumFrequencyResults(false);
WadamRun2.differenceFrequencyResults(false);
WadamRun2.computeSecondOrderForce(false);
WadamRun2.setSecondOrderForceCalculationMethod(WadamRunInDirectSecondOrderForce);
WadamRun2.computeSecondOrderPressureOnBody(false);
WadamRun2.computeSecondOrderPressureInFluid(false);
WadamRun2.computeSecondOrderWaveElevation(false);
WadamRun2.setToleranceWaterLine(5);
WadamRun2.setToleranceCOG(5);
WadamRun2.setCharacteristicLength(100 m);
WadamRun2.calculateRollDamping(false);
WadamRun2.specifyOutputDirectory(false);
WadamRun2.autoOwerwriteExistingResultFiles(false);
WadamRun2.setKidTag("6072810b-fec5-472f-b13e-1c962f98ed09");
// ***********************************************************
WadamWizard1 = WadamWizard();
WadamWizard1.setModelConfiguration(WadamWorkflowDualModel);
WadamWizard1.setPanelModelConfiguration(WadamWorkflowElementPanelModel);
WadamWizard1.stochasticDrag = false;
WadamWizard1.waveHeightSurfaceDrag = false;
WadamWizard1.loadCrossection = false;
WadamWizard1.loadTransfer = false;
WadamWizard1.tankPressure = false;
WadamWizard1.pressurePanels = false;
WadamWizard1.anchorElements = false;
WadamWizard1.morison3DElements = true;
WadamWizard1.tlpElements = false;
WadamWizard1.offbodyPoints = false;
WadamWizard1.secondOrder = false;
WadamWizard1.dampingMatrix = false;
WadamWizard1.criticalDamping = false;
WadamWizard1.restoringMatrix = false;
WadamWizard1.addEditObject(DirectionSet1);
WadamWizard1.addEditObject(FrequencySet1);
WadamWizard1.addEditObject(Location1);
WadamWizard1.addEditObject(Condition1);
WadamWizard1.addEditObject(HydroModel1);
WadamWizard1.addEditObject(MorisonModel1);
WadamWizard1.addEditObject(PanelModel1);
WadamWizard1.addEditObject(column);
WadamWizard1.addEditObject(PressureArea1);
WadamWizard1.addEditObject(MassModel1);
WadamWizard1.addEditObject(LoadingCondition1);
WadamWizard1.addEditObject(Morison3DElement3);
WadamWizard1.addEditObject(WadamRun1);
WadamWizard1.addEditObject(Morison3DSection1);
WadamWizard1.setKidTag("edb963f5-06a9-46e7-8f11-9e5dd66e01e6");
// ***********************************************************
WadamWizard2 = WadamWizard();
WadamWizard2.setModelConfiguration(WadamWorkflowPanelModel);
WadamWizard2.setPanelModelConfiguration(WadamWorkflowElementPanelModel);
WadamWizard2.timeDomain(false);
WadamWizard2.rollDamping = false;
WadamWizard2.loadCrossection = false;
WadamWizard2.loadTransfer = false;
WadamWizard2.tankPressure = false;
WadamWizard2.pressurePanels = false;
WadamWizard2.offbodyPoints = false;
WadamWizard2.secondOrder = true;
WadamWizard2.dampingMatrix = false;
WadamWizard2.criticalDamping = false;
WadamWizard2.restoringMatrix = false;
WadamWizard2.addEditObject(DirectionSet2);
WadamWizard2.addEditObject(FrequencySet2);
WadamWizard2.addEditObject(Location2);
WadamWizard2.addEditObject(Condition2);
WadamWizard2.addEditObject(HydroModel2);
WadamWizard2.addEditObject(PanelModel2);
WadamWizard2.addEditObject(LoadingCondition2);
WadamWizard2.addEditObject(MassModel2);
WadamWizard2.addEditObject(WadamRun2);
WadamWizard2.setKidTag("fb982561-91e3-4e2a-926c-a11f01eee7a8");
//Exported using: HydroD V4.5-08 started 01-Oct-2013 14:39:51
// ***********************************************************
DirectionSet1 = DirectionSet(Array(0 deg));
// ***********************************************************
Direction1 = Direction(0 deg);
// ***********************************************************
FrequencySet1 = FrequencySet(FrequencyTypeFrequency, Array(0.1 rad/s,0.3 rad/s,0.5 rad/s,0.7 rad/s,0.9 rad/s,1.1 rad/s,1.3 rad/s,1.5 rad/s,2 rad/s,2.5 rad/s,3 rad/s));
// ***********************************************************
DirectionSet2 = DirectionSet(Array(0 deg));
// ***********************************************************
FrequencySet2 = FrequencySet(FrequencyTypeFrequency, Array(4 rad/s));
// ***********************************************************
Location1 = Location();
Location1.setDepth(300 m);
Location1.gravity = 9.81 m/s^2;
Location1.air().density = 1.226 Kg/m^3;
Location1.air().kinematicViscosity = 1.462e-005 m^2/s;
Location1.water().density = 1025 Kg/m^3;
Location1.water().kinematicViscosity = 1.19e-006 m^2/s;
Location1.seabed().normaldirection = Vector3d(0 m,0 m,1 m);
// ***********************************************************
Condition1 = FrequencyDomain(Location1);
Condition1.waterSurface().directionSet = DirectionSet1;
Condition1.waterSurface().frequencySet = FrequencySet1;
Condition1.water().setNoCurrent();
// ***********************************************************
Location2 = Location();
Location2.setDepth(300 m);
Location2.gravity = 9.81 m/s^2;
Location2.air().density = 1.226 Kg/m^3;
Location2.air().kinematicViscosity = 1.462e-005 m^2/s;
Location2.water().density = 1025 Kg/m^3;
Location2.water().kinematicViscosity = 1.19e-006 m^2/s;
Location2.seabed().normaldirection = Vector3d(0 m,0 m,1 m);
// ***********************************************************
Condition2 = FrequencyDomain(Location2);
Condition2.waterSurface().directionSet = DirectionSet1;
Condition2.waterSurface().frequencySet = FrequencySet1;
Condition2.water().setNoCurrent();
// ***********************************************************
HydroModel1 = HydroModel(HydroModelFloating);
HydroModel1.setColumnStabilized(true);
HydroModel1.setBaselineZPos(0 m);
HydroModel1.setAPXPos(0 m);
HydroModel1.setFPXPos(100 m);
HydroModel1.clearReportMetaCenterRotationAxisAzim();
HydroModel1.addReportMetaCenterRotationAxisAzim(0 deg);
HydroModel1.addReportMetaCenterRotationAxisAzim(90 deg);
HydroModel1.clearReportHeelTrimCombinations();
HydroModel1.addReportHeelTrimCombination(0 deg, 0 deg);
HydroModel1.clearReportZWaterlines();
HydroModel1.addReportZWaterline(-17.5 m);
HydroModel1.addReportZWaterline(-17 m);
HydroModel1.addReportZWaterline(-16.5 m);
HydroModel1.addReportZWaterline(-16 m);
HydroModel1.addReportZWaterline(-15.5 m);
HydroModel1.addReportZWaterline(-15 m);
HydroModel1.addReportZWaterline(-14.5 m);
HydroModel1.addReportZWaterline(-14 m);
HydroModel1.addReportZWaterline(-13.5 m);
HydroModel1.addReportZWaterline(-13 m);
HydroModel1.addReportZWaterline(-12.5 m);
HydroModel1.addReportZWaterline(-12 m);
HydroModel1.addReportZWaterline(-11.5 m);
HydroModel1.addReportZWaterline(-11 m);
HydroModel1.addReportZWaterline(-10.5 m);
HydroModel1.addReportZWaterline(-10 m);
HydroModel1.addReportZWaterline(-9.5 m);
HydroModel1.addReportZWaterline(-9 m);
HydroModel1.addReportZWaterline(-8.5 m);
HydroModel1.addReportZWaterline(-8 m);
HydroModel1.addReportZWaterline(-7.5 m);
HydroModel1.addReportZWaterline(-7 m);
HydroModel1.addReportZWaterline(-6.5 m);
HydroModel1.addReportZWaterline(-6 m);
HydroModel1.addReportZWaterline(-5.5 m);
HydroModel1.addReportZWaterline(-5 m);
HydroModel1.addReportZWaterline(-4.5 m);
HydroModel1.addReportZWaterline(-4 m);
HydroModel1.addReportZWaterline(-3.5 m);
HydroModel1.addReportZWaterline(-3 m);
HydroModel1.addReportZWaterline(-2.5 m);
HydroModel1.addReportZWaterline(-2 m);
HydroModel1.addReportZWaterline(-1.5 m);
HydroModel1.addReportZWaterline(-1 m);
HydroModel1.addReportZWaterline(-0.5 m);
HydroModel1.addReportZWaterline(0 m);
HydroModel1.addReportZWaterline(0.5 m);
HydroModel1.addReportZWaterline(1 m);
HydroModel1.addReportZWaterline(1.5 m);
HydroModel1.addReportZWaterline(2 m);
HydroModel1.addReportZWaterline(2.5 m);
HydroModel1.addReportZWaterline(3 m);
HydroModel1.addReportZWaterline(3.5 m);
HydroModel1.addReportZWaterline(4 m);
HydroModel1.addReportZWaterline(4.5 m);
HydroModel1.addReportZWaterline(5 m);
HydroModel1.addReportZWaterline(5.5 m);
HydroModel1.addReportZWaterline(6 m);
HydroModel1.addReportZWaterline(6.5 m);
HydroModel1.addReportZWaterline(7 m);
HydroModel1.addReportZWaterline(7.5 m);
HydroModel1.addReportZWaterline(8 m);
HydroModel1.addReportZWaterline(8.5 m);
HydroModel1.addReportZWaterline(9 m);
HydroModel1.addReportZWaterline(9.5 m);
HydroModel1.addReportZWaterline(10 m);
HydroModel1.setKidTag("4cc0d1fd-dfef-4852-9f58-b3d1d41c3856");
// ***********************************************************
PressureArea1 = PressureAreaSection(HydroModel1, 10 m);
PressureArea1.setKidTag("e169e892-f8a2-47d1-b2db-80f46d851dde");
// ***********************************************************
braces = MorisonSection(HydroModel1);
braces.drySection(false);
braces.setSectionName("braces");
braces.retainedDiameter(false);
braces.setDiameter(0.0021 m);
braces.setDragCoefficientY(1000);
braces.setDragCoefficientZ(1000);
braces.setAddedMassCoefficientY(0);
braces.setAddedMassCoefficientZ(0);
braces.partOfDualModel(true);
braces.retainedMass(true);
braces.setNoSubElements(1);
braces.setKidTag("9e288ce4-c024-4839-aeb6-a725b4a5be30");
// ***********************************************************
column = MorisonSection(HydroModel1);
column.drySection(false);
column.setSectionName("column");
column.retainedDiameter(false);
column.setDiameter(0.01 m);
column.setDragCoefficientY(1000);
column.setDragCoefficientZ(1000);
column.setAddedMassCoefficientY(0);
column.setAddedMassCoefficientZ(0);
column.partOfDualModel(true);
column.retainedMass(true);
column.setNoSubElements(1);
column.setKidTag("9ae2ecda-d93c-489b-b9af-1ea08bea2e8e");
// ***********************************************************
Morison3DSection1 = Morison3DSection(HydroModel1);
Morison3DSection1.useBuoyancyForce(false);
Morison3DSection1.useDynamicForce(true);
Morison3DSection1.setRadius(19.3);
Morison3DSection1.setMass(0 Kg);
Morison3DSection1.setDragCoefficientX(7.5);
Morison3DSection1.setDragCoefficientY(0);
Morison3DSection1.setDragCoefficientZ(0);
Morison3DSection1.setAddedMassCoefficientX(0);
Morison3DSection1.setAddedMassCoefficientY(0);
Morison3DSection1.setAddedMassCoefficientZ(0);
Morison3DSection1.setKidTag("32267257-d345-4934-a4f3-db9d712a575d");
// ***********************************************************
PanelModel1 = PanelModel(HydroModel1, ElementEnumsFEMFile, "M:/New_Semi/SingleBody/HydroD/NewSemi2/T1.FEM", true, false);
PanelModel1.setKidTag("42e44c91-0547-4532-b962-124031784f40");
// ***********************************************************
MorisonModel1 = MorisonModel(HydroModel1, ElementEnumsFEMFile, "M:/New_Semi/SingleBody/HydroD/NewSemi2/T2.FEM");
MorisonModel1.refreshMorisonSections();
MorisonModel1.setKidTag("20f72e23-477e-4259-a4be-54fd70db85a7");
// ***********************************************************
Morison3DElement1 = Morison3DElement(MorisonModel1);
Morison3DElement1.setNodeNumber(2);
Morison3DElement1.specifyLocalCoordinateSystem(true);
Morison3DElement1.setGuideNodeNumber(3);
Morison3DElement1.morison3DSection = Morison3DSection1;
Morison3DElement1.setKidTag("6663ca3d-ddd3-4840-9810-5d56264588c5");
// ***********************************************************
Morison3DElement2 = Morison3DElement(MorisonModel1);
Morison3DElement2.setNodeNumber(54);
Morison3DElement2.specifyLocalCoordinateSystem(true);
Morison3DElement2.setGuideNodeNumber(43);
Morison3DElement2.morison3DSection = Morison3DSection1;
Morison3DElement2.setKidTag("a2c41327-ea91-48fe-88da-bca1836560de");
// ***********************************************************
Morison3DElement3 = Morison3DElement(MorisonModel1);
Morison3DElement3.setNodeNumber(24);
Morison3DElement3.specifyLocalCoordinateSystem(true);
Morison3DElement3.setGuideNodeNumber(22);
Morison3DElement3.morison3DSection = Morison3DSection1;
Morison3DElement3.setKidTag("de03fd1f-7e6c-4db3-b557-a59bf3f2e5b8");
// ***********************************************************
LoadingCondition1 = LoadingCondition(HydroModel1, 0 m, 0 deg, 0 deg);
LoadingCondition1.setByDraft(false);
LoadingCondition1.interpolateDampingMatrices(false);
LoadingCondition1.addDampingMatricesToWadam(true);
LoadingCondition1.setKidTag("436f6244-aba4-40b1-81e4-0c25ee4c133f");
// ***********************************************************
MassModel1 = MassModel(LoadingCondition1, MassModelSpecified);
MassModel1.setUserMassCoordinateSystem(GlobalCoordinateSystem);
MassModel1.setTotalMass(4619000 Kg);
MassModel1.setCOG(Point(-0.331 m,0 m,1.489 m));
MassModel1.setRadiusGyration(Vector3d(34.29 m,34.14 m,26.17 m));
MassModel1.setSpecificProductInertia(0 m, 16.53 m, 0 m);
MassModel1.addTankMass(false);
MassModel1.updateStiffnessWithFreeSurfaceEffect(false);
MassModel1.setKidTag("2c2e7d9c-bfb4-4b74-b406-f8178e23a658");
// ***********************************************************
// ***********************************************************
HydroModel2 = HydroModel(HydroModelFloating);
HydroModel2.setColumnStabilized(true);
HydroModel2.setBaselineZPos(0 m);
HydroModel2.setAPXPos(0 m);
HydroModel2.setFPXPos(100 m);
HydroModel2.clearReportMetaCenterRotationAxisAzim();
HydroModel2.addReportMetaCenterRotationAxisAzim(0 deg);
HydroModel2.addReportMetaCenterRotationAxisAzim(90 deg);
HydroModel2.clearReportHeelTrimCombinations();
HydroModel2.addReportHeelTrimCombination(0 deg, 0 deg);
HydroModel2.clearReportZWaterlines();
HydroModel2.addReportZWaterline(-17.5 m);
HydroModel2.addReportZWaterline(-17 m);
HydroModel2.addReportZWaterline(-16.5 m);
HydroModel2.addReportZWaterline(-16 m);
HydroModel2.addReportZWaterline(-15.5 m);
HydroModel2.addReportZWaterline(-15 m);
HydroModel2.addReportZWaterline(-14.5 m);
HydroModel2.addReportZWaterline(-14 m);
HydroModel2.addReportZWaterline(-13.5 m);
HydroModel2.addReportZWaterline(-13 m);
HydroModel2.addReportZWaterline(-12.5 m);
HydroModel2.addReportZWaterline(-12 m);
HydroModel2.addReportZWaterline(-11.5 m);
HydroModel2.addReportZWaterline(-11 m);
HydroModel2.addReportZWaterline(-10.5 m);
HydroModel2.addReportZWaterline(-10 m);
HydroModel2.addReportZWaterline(-9.5 m);
HydroModel2.addReportZWaterline(-9 m);
HydroModel2.addReportZWaterline(-8.5 m);
HydroModel2.addReportZWaterline(-8 m);
HydroModel2.addReportZWaterline(-7.5 m);
HydroModel2.addReportZWaterline(-7 m);
HydroModel2.addReportZWaterline(-6.5 m);
HydroModel2.addReportZWaterline(-6 m);
HydroModel2.addReportZWaterline(-5.5 m);
HydroModel2.addReportZWaterline(-5 m);
HydroModel2.addReportZWaterline(-4.5 m);
HydroModel2.addReportZWaterline(-4 m);
HydroModel2.addReportZWaterline(-3.5 m);
HydroModel2.addReportZWaterline(-3 m);
HydroModel2.addReportZWaterline(-2.5 m);
HydroModel2.addReportZWaterline(-2 m);
HydroModel2.addReportZWaterline(-1.5 m);
HydroModel2.addReportZWaterline(-1 m);
HydroModel2.addReportZWaterline(-0.5 m);
HydroModel2.addReportZWaterline(0 m);
HydroModel2.setKidTag("8d7df30a-8146-464f-b271-3352de746742");
// ***********************************************************
PanelModel2 = PanelModel(HydroModel2, ElementEnumsFEMFile, "M:/New_Semi/SingleBody/HydroD/NewSemi2/T1.FEM", true, false);
PanelModel2.setKidTag("297dc413-baaa-473c-b078-e65e29b37a89");
// ***********************************************************
LoadingCondition2 = LoadingCondition(HydroModel2, 0 m, 0 deg, 0 deg);
LoadingCondition2.setByDraft(false);
LoadingCondition2.interpolateDampingMatrices(false);
LoadingCondition2.addDampingMatricesToWadam(true);
LoadingCondition2.setKidTag("9a22b35e-b944-4f17-99e9-32028b742b9d");
// ***********************************************************
MassModel2 = MassModel(LoadingCondition2, MassModelSpecified);
MassModel2.setUserMassCoordinateSystem(GlobalCoordinateSystem);
MassModel2.setTotalMass(4619000 Kg);
MassModel2.setCOG(Point(-0.331 m,0 m,1.489 m));
MassModel2.setRadiusGyration(Vector3d(34.29 m,34.14 m,26.17 m));
MassModel2.setSpecificProductInertia(0 m, 16.53 m, 0 m);
MassModel2.addTankMass(false);
MassModel2.updateStiffnessWithFreeSurfaceEffect(true);
MassModel2.setKidTag("2a1c948d-c4b4-472a-a523-82e7a7266f53");
// ***********************************************************
// ***********************************************************
WadamRun1 = WadamRun();
WadamRun1.useMultiBody(false);
WadamRun1.setHydroModel(HydroModel1);
WadamRun1.setLoadingCondition(LoadingCondition1);
WadamRun1.setEnvironmentData(Condition1);
WadamRun1.useSeaState(false);
WadamRun1.dataCheck(false);
WadamRun1.setAnalysisType(WadamRunGlobalResponse);
WadamRun1.setDragType(WadamRunSpecifiedVelocityDrag);
WadamRun1.setDragVelocity(1 m/s);
WadamRun1.setWaveType(WadamRunIncidentWave);
WadamRun1.calculateDrift(false);
WadamRun1.waveDriftDamping(false);
WadamRun1.setSolverType(WadamRunDirectSolver);
WadamRun1.setMaxMatrixDimension(3000);
WadamRun1.setSingularityType(WadamRunAnalyticalSingularity);
WadamRun1.setIntegrationType(WadamRunOneNodeGauss);
WadamRun1.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
WadamRun1.removeIrrFrequencies(false);
WadamRun1.saveTempWamitFiles(false);
WadamRun1.stopBeforePotenExecution(false);
WadamRun1.bypassPotenExecution(false);
WadamRun1.stopBeforeFirstForceExecution(false);
WadamRun1.bypassFirstForceExecution(false);
WadamRun1.useWadamMassCalculation(false);
WadamRun1.stopBeforeSecondForceExecution(false);
WadamRun1.bypassSecondForceExecution(false);
WadamRun1.useSaveRestart(false);
WadamRun1.setPrintType(WadamRunNormalPrint);
WadamRun1.setResponseFileType(WadamRunSIFFormatted);
WadamRun1.calculateEigenvalues(true);
WadamRun1.defineGlobalResponseReferencePoint(false);
WadamRun1.setGlobalResponseReferencePoint(Point(0 m,0 m,0 m));
WadamRun1.setWaterlinePanelMethod(WadamRunNoPanelPressureAdjustment);
WadamRun1.setLoadTransferLinearInterpolationXmin(0);
WadamRun1.setLoadTransferLinearInterpolationXmax(0);
WadamRun1.sumFrequencyResults(false);
WadamRun1.differenceFrequencyResults(false);
WadamRun1.computeSecondOrderForce(false);
WadamRun1.setSecondOrderForceCalculationMethod(WadamRunInDirectSecondOrderForce);
WadamRun1.computeSecondOrderPressureOnBody(false);
WadamRun1.computeSecondOrderPressureInFluid(false);
WadamRun1.computeSecondOrderWaveElevation(false);
WadamRun1.setToleranceWaterLine(5);
WadamRun1.setToleranceCOG(5);
WadamRun1.setCharacteristicLength(100 m);
WadamRun1.calculateRollDamping(false);
WadamRun1.specifyOutputDirectory(false);
WadamRun1.autoOwerwriteExistingResultFiles(false);
WadamRun1.setKidTag("ef8859e1-cb2c-4c8b-ac51-d0d8101a0b1f");
// ***********************************************************
WadamRun2 = WadamRun();
WadamRun2.useMultiBody(false);
WadamRun2.setHydroModel(HydroModel2);
WadamRun2.setLoadingCondition(LoadingCondition2);
WadamRun2.setEnvironmentData(Condition2);
WadamRun2.useSeaState(false);
WadamRun2.dataCheck(false);
WadamRun2.setAnalysisType(WadamRunGlobalResponse);
WadamRun2.calculateDrift(false);
WadamRun2.waveDriftDamping(false);
WadamRun2.setSolverType(WadamRunDirectSolver);
WadamRun2.setMaxMatrixDimension(3000);
WadamRun2.setSingularityType(WadamRunAnalyticalSingularity);
WadamRun2.setIntegrationType(WadamRunOneNodeGauss);
WadamRun2.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
WadamRun2.removeIrrFrequencies(false);
WadamRun2.saveTempWamitFiles(false);
WadamRun2.stopBeforePotenExecution(false);
WadamRun2.bypassPotenExecution(false);
WadamRun2.stopBeforeFirstForceExecution(false);
WadamRun2.bypassFirstForceExecution(false);
WadamRun2.useWadamMassCalculation(false);
WadamRun2.stopBeforeSecondForceExecution(false);
WadamRun2.bypassSecondForceExecution(false);
WadamRun2.useSaveRestart(false);
WadamRun2.setPrintType(WadamRunNormalPrint);
WadamRun2.setResponseFileType(WadamRunSIFFormatted);
WadamRun2.calculateEigenvalues(true);
WadamRun2.defineGlobalResponseReferencePoint(false);
WadamRun2.setGlobalResponseReferencePoint(Point(0 m,0 m,0 m));
WadamRun2.setWaterlinePanelMethod(WadamRunNoPanelPressureAdjustment);
WadamRun2.setLoadTransferLinearInterpolationXmin(0);
WadamRun2.setLoadTransferLinearInterpolationXmax(0);
WadamRun2.sumFrequencyResults(false);
WadamRun2.differenceFrequencyResults(false);
WadamRun2.computeSecondOrderForce(false);
WadamRun2.setSecondOrderForceCalculationMethod(WadamRunInDirectSecondOrderForce);
WadamRun2.computeSecondOrderPressureOnBody(false);
WadamRun2.computeSecondOrderPressureInFluid(false);
WadamRun2.computeSecondOrderWaveElevation(false);
WadamRun2.setToleranceWaterLine(5);
WadamRun2.setToleranceCOG(5);
WadamRun2.setCharacteristicLength(100 m);
WadamRun2.calculateRollDamping(false);
WadamRun2.specifyOutputDirectory(false);
WadamRun2.autoOwerwriteExistingResultFiles(false);
WadamRun2.setKidTag("6072810b-fec5-472f-b13e-1c962f98ed09");
// ***********************************************************
WadamWizard1 = WadamWizard();
WadamWizard1.setModelConfiguration(WadamWorkflowDualModel);
WadamWizard1.setPanelModelConfiguration(WadamWorkflowElementPanelModel);
WadamWizard1.stochasticDrag = false;
WadamWizard1.waveHeightSurfaceDrag = false;
WadamWizard1.loadCrossection = false;
WadamWizard1.loadTransfer = false;
WadamWizard1.tankPressure = false;
WadamWizard1.pressurePanels = false;
WadamWizard1.anchorElements = false;
WadamWizard1.morison3DElements = true;
WadamWizard1.tlpElements = false;
WadamWizard1.offbodyPoints = false;
WadamWizard1.secondOrder = false;
WadamWizard1.dampingMatrix = false;
WadamWizard1.criticalDamping = false;
WadamWizard1.restoringMatrix = false;
WadamWizard1.addEditObject(DirectionSet1);
WadamWizard1.addEditObject(FrequencySet1);
WadamWizard1.addEditObject(Location1);
WadamWizard1.addEditObject(Condition1);
WadamWizard1.addEditObject(HydroModel1);
WadamWizard1.addEditObject(MorisonModel1);
WadamWizard1.addEditObject(PanelModel1);
WadamWizard1.addEditObject(column);
WadamWizard1.addEditObject(PressureArea1);
WadamWizard1.addEditObject(MassModel1);
WadamWizard1.addEditObject(LoadingCondition1);
WadamWizard1.addEditObject(Morison3DElement3);
WadamWizard1.addEditObject(WadamRun1);
WadamWizard1.addEditObject(Morison3DSection1);
WadamWizard1.setKidTag("edb963f5-06a9-46e7-8f11-9e5dd66e01e6");
// ***********************************************************
WadamWizard2 = WadamWizard();
WadamWizard2.setModelConfiguration(WadamWorkflowPanelModel);
WadamWizard2.setPanelModelConfiguration(WadamWorkflowElementPanelModel);
WadamWizard2.timeDomain(false);
WadamWizard2.rollDamping = false;
WadamWizard2.loadCrossection = false;
WadamWizard2.loadTransfer = false;
WadamWizard2.tankPressure = false;
WadamWizard2.pressurePanels = false;
WadamWizard2.offbodyPoints = false;
WadamWizard2.secondOrder = true;
WadamWizard2.dampingMatrix = false;
WadamWizard2.criticalDamping = false;
WadamWizard2.restoringMatrix = false;
WadamWizard2.addEditObject(DirectionSet2);
WadamWizard2.addEditObject(FrequencySet2);
WadamWizard2.addEditObject(Location2);
WadamWizard2.addEditObject(Condition2);
WadamWizard2.addEditObject(HydroModel2);
WadamWizard2.addEditObject(PanelModel2);
WadamWizard2.addEditObject(LoadingCondition2);
WadamWizard2.addEditObject(MassModel2);
WadamWizard2.addEditObject(WadamRun2);
WadamWizard2.setKidTag("fb982561-91e3-4e2a-926c-a11f01eee7a8");
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
WadamRun1.setMaxMatrixDimension(8000);
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun1.saveTempWamitFiles(true);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
// HydroD V4.5-08 ended 02-Oct-2013 14:56:01
// HydroD V4.5-08 started 02-Oct-2013 15:03:01
// HydroD V4.5-08 ended 02-Oct-2013 15:23:08
// HydroD V4.5-08 started 02-Oct-2013 15:30:27
FrequencySet1.clear();
FrequencySet1.addFrequency(0.1 rad/s);
FrequencySet1.addFrequency(0.2 rad/s);
FrequencySet1.addFrequency(0.3 rad/s);
FrequencySet1.addFrequency(0.4 rad/s);
FrequencySet1.addFrequency(0.5 rad/s);
FrequencySet1.addFrequency(0.6 rad/s);
FrequencySet1.addFrequency(0.7 rad/s);
FrequencySet1.addFrequency(0.8 rad/s);
FrequencySet1.addFrequency(0.9 rad/s);
FrequencySet1.addFrequency(1 rad/s);
FrequencySet1.addFrequency(1.1 rad/s);
FrequencySet1.addFrequency(1.2 rad/s);
FrequencySet1.addFrequency(1.3 rad/s);
FrequencySet1.addFrequency(1.4 rad/s);
FrequencySet1.addFrequency(1.5 rad/s);
FrequencySet1.addFrequency(1.6 rad/s);
FrequencySet1.addFrequency(1.7 rad/s);
FrequencySet1.addFrequency(1.8 rad/s);
FrequencySet1.addFrequency(1.9 rad/s);
FrequencySet1.addFrequency(2 rad/s);
FrequencySet1.clear();
FrequencySet1.addFrequency(0.1 rad/s);
FrequencySet1.addFrequency(0.2 rad/s);
FrequencySet1.addFrequency(0.3 rad/s);
FrequencySet1.addFrequency(0.4 rad/s);
FrequencySet1.addFrequency(0.5 rad/s);
FrequencySet1.addFrequency(0.6 rad/s);
FrequencySet1.addFrequency(0.7 rad/s);
FrequencySet1.addFrequency(0.8 rad/s);
FrequencySet1.addFrequency(0.9 rad/s);
FrequencySet1.addFrequency(1 rad/s);
FrequencySet1.addFrequency(1.1 rad/s);
FrequencySet1.addFrequency(1.2 rad/s);
FrequencySet1.addFrequency(1.3 rad/s);
FrequencySet1.addFrequency(1.4 rad/s);
FrequencySet1.addFrequency(1.5 rad/s);
FrequencySet1.addFrequency(1.6 rad/s);
FrequencySet1.addFrequency(1.7 rad/s);
FrequencySet1.addFrequency(1.8 rad/s);
FrequencySet1.addFrequency(1.9 rad/s);
FrequencySet1.addFrequency(2 rad/s);
FrequencySet1.addFrequency(2.25);
FrequencySet1.addFrequency(2.5);
FrequencySet1.addFrequency(3);
FrequencySet1.addFrequency(4);
FrequencySet1.addFrequency(6);
DirectionSet1.removeAll();
DirectionSet1.add(0 deg);
DirectionSet1.add(15 deg);
DirectionSet1.add(30 deg);
DirectionSet1.add(45 deg);
DirectionSet1.add(60 deg);
DirectionSet1.add(75 deg);
DirectionSet1.add(90 deg);
DirectionSet1.add(105 deg);
DirectionSet1.add(120 deg);
DirectionSet1.add(135 deg);
DirectionSet1.add(150 deg);
DirectionSet1.add(165 deg);
DirectionSet1.add(180 deg);
DirectionSet1.add(195 deg);
DirectionSet1.add(210 deg);
DirectionSet1.add(225 deg);
DirectionSet1.add(240 deg);
DirectionSet1.add(255 deg);
DirectionSet1.add(270 deg);
DirectionSet1.add(285 deg);
DirectionSet1.add(300 deg);
DirectionSet1.add(315 deg);
DirectionSet1.add(330 deg);
DirectionSet1.add(345 deg);
// Start Input **********
WadamRun2.setEnvironmentData(Condition1);
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
WadamRun2.setMaxMatrixDimension(8000);
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun2.saveTempWamitFiles(true);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
HydroModel1.setActiveFolder();
Morison3DSection1.setRadius(0.0193 m);
Morison3DSection1.setDragCoefficientX(7500);
// HydroD V4.5-08 ended 03-Oct-2013 14:12:00
// HydroD V4.5-08 started 04-Oct-2013 10:53:21
FrequencySet1.clear();
FrequencySet1.addFrequency(0.1 rad/s);
FrequencySet1.addFrequency(0.12 rad/s);
FrequencySet1.addFrequency(0.14 rad/s);
FrequencySet1.addFrequency(0.16 rad/s);
FrequencySet1.addFrequency(0.18 rad/s);
FrequencySet1.addFrequency(0.2 rad/s);
FrequencySet1.addFrequency(0.22 rad/s);
FrequencySet1.addFrequency(0.24 rad/s);
FrequencySet1.addFrequency(0.26 rad/s);
FrequencySet1.addFrequency(0.28 rad/s);
FrequencySet1.addFrequency(0.3 rad/s);
FrequencySet1.addFrequency(0.32 rad/s);
FrequencySet1.addFrequency(0.34 rad/s);
FrequencySet1.addFrequency(0.36 rad/s);
FrequencySet1.addFrequency(0.38 rad/s);
FrequencySet1.addFrequency(0.4 rad/s);
FrequencySet1.addFrequency(0.42 rad/s);
FrequencySet1.addFrequency(0.44 rad/s);
FrequencySet1.addFrequency(0.46 rad/s);
FrequencySet1.addFrequency(0.48 rad/s);
FrequencySet1.addFrequency(0.5 rad/s);
FrequencySet1.addFrequency(0.52 rad/s);
FrequencySet1.addFrequency(0.54 rad/s);
FrequencySet1.addFrequency(0.56 rad/s);
FrequencySet1.addFrequency(0.58 rad/s);
FrequencySet1.addFrequency(0.6 rad/s);
FrequencySet1.addFrequency(0.62 rad/s);
FrequencySet1.addFrequency(0.64 rad/s);
FrequencySet1.addFrequency(0.66 rad/s);
FrequencySet1.addFrequency(0.68 rad/s);
FrequencySet1.addFrequency(0.7 rad/s);
FrequencySet1.addFrequency(0.72 rad/s);
FrequencySet1.addFrequency(0.74 rad/s);
FrequencySet1.addFrequency(0.76 rad/s);
FrequencySet1.addFrequency(0.78 rad/s);
FrequencySet1.addFrequency(0.8 rad/s);
FrequencySet1.addFrequency(0.82 rad/s);
FrequencySet1.addFrequency(0.84 rad/s);
FrequencySet1.addFrequency(0.86 rad/s);
FrequencySet1.addFrequency(0.88 rad/s);
FrequencySet1.addFrequency(0.9 rad/s);
FrequencySet1.addFrequency(0.92 rad/s);
FrequencySet1.addFrequency(0.94 rad/s);
FrequencySet1.addFrequency(0.96 rad/s);
FrequencySet1.addFrequency(0.98 rad/s);
FrequencySet1.addFrequency(1 rad/s);
FrequencySet1.addFrequency(1.02 rad/s);
FrequencySet1.addFrequency(1.04 rad/s);
FrequencySet1.addFrequency(1.06 rad/s);
FrequencySet1.addFrequency(1.08 rad/s);
FrequencySet1.addFrequency(1.1 rad/s);
FrequencySet1.addFrequency(1.12 rad/s);
FrequencySet1.addFrequency(1.14 rad/s);
FrequencySet1.addFrequency(1.16 rad/s);
FrequencySet1.addFrequency(1.18 rad/s);
FrequencySet1.addFrequency(1.2 rad/s);
FrequencySet1.addFrequency(1.22 rad/s);
FrequencySet1.addFrequency(1.24 rad/s);
FrequencySet1.addFrequency(1.26 rad/s);
FrequencySet1.addFrequency(1.28 rad/s);
FrequencySet1.addFrequency(1.3 rad/s);
FrequencySet1.addFrequency(1.32 rad/s);
FrequencySet1.addFrequency(1.34 rad/s);
FrequencySet1.addFrequency(1.36 rad/s);
FrequencySet1.addFrequency(1.38 rad/s);
FrequencySet1.addFrequency(1.4 rad/s);
FrequencySet1.addFrequency(1.42 rad/s);
FrequencySet1.addFrequency(1.44 rad/s);
FrequencySet1.addFrequency(1.46 rad/s);
FrequencySet1.addFrequency(1.48 rad/s);
FrequencySet1.addFrequency(1.5 rad/s);
FrequencySet1.addFrequency(1.52 rad/s);
FrequencySet1.addFrequency(1.54 rad/s);
FrequencySet1.addFrequency(1.56 rad/s);
FrequencySet1.addFrequency(1.58 rad/s);
FrequencySet1.addFrequency(1.6 rad/s);
FrequencySet1.addFrequency(1.62 rad/s);
FrequencySet1.addFrequency(1.64 rad/s);
FrequencySet1.addFrequency(1.66 rad/s);
FrequencySet1.addFrequency(1.68 rad/s);
FrequencySet1.addFrequency(1.7 rad/s);
FrequencySet1.addFrequency(1.72 rad/s);
FrequencySet1.addFrequency(1.74 rad/s);
FrequencySet1.addFrequency(1.76 rad/s);
FrequencySet1.addFrequency(1.78 rad/s);
FrequencySet1.addFrequency(1.8 rad/s);
FrequencySet1.addFrequency(1.82 rad/s);
FrequencySet1.addFrequency(1.84 rad/s);
FrequencySet1.addFrequency(1.86 rad/s);
FrequencySet1.addFrequency(1.88 rad/s);
FrequencySet1.addFrequency(1.9 rad/s);
FrequencySet1.addFrequency(1.92 rad/s);
FrequencySet1.addFrequency(1.94 rad/s);
FrequencySet1.addFrequency(1.96 rad/s);
FrequencySet1.addFrequency(1.98 rad/s);
FrequencySet1.addFrequency(2 rad/s);
FrequencySet1.addFrequency(2.02 rad/s);
FrequencySet1.addFrequency(2.04 rad/s);
FrequencySet1.addFrequency(2.06 rad/s);
FrequencySet1.addFrequency(2.08 rad/s);
FrequencySet1.addFrequency(2.1 rad/s);
FrequencySet1.addFrequency(2.12 rad/s);
FrequencySet1.addFrequency(2.14 rad/s);
FrequencySet1.addFrequency(2.16 rad/s);
FrequencySet1.addFrequency(2.18 rad/s);
FrequencySet1.addFrequency(2.2 rad/s);
FrequencySet1.addFrequency(2.22 rad/s);
FrequencySet1.addFrequency(2.24 rad/s);
FrequencySet1.addFrequency(2.26 rad/s);
FrequencySet1.addFrequency(2.28 rad/s);
FrequencySet1.addFrequency(2.3 rad/s);
FrequencySet1.addFrequency(2.32 rad/s);
FrequencySet1.addFrequency(2.34 rad/s);
FrequencySet1.addFrequency(2.36 rad/s);
FrequencySet1.addFrequency(2.38 rad/s);
FrequencySet1.addFrequency(2.4 rad/s);
FrequencySet1.addFrequency(2.42 rad/s);
FrequencySet1.addFrequency(2.44 rad/s);
FrequencySet1.addFrequency(2.46 rad/s);
FrequencySet1.addFrequency(2.48 rad/s);
FrequencySet1.addFrequency(2.5 rad/s);
// HydroD V4.5-08 ended 04-Oct-2013 11:16:10
// HydroD V4.5-08 started 04-Oct-2013 11:16:10
DirectionSet1.removeAll();
DirectionSet1.add(0 deg);
DirectionSet1.add(45 deg);
DirectionSet1.add(90 deg);
DirectionSet1.add(135 deg);
DirectionSet1.add(180 deg);
DirectionSet2.removeAll();
DirectionSet2.add(0 deg);
DirectionSet2.add(45 deg);
DirectionSet2.add(90 deg);
DirectionSet2.add(135 deg);
DirectionSet2.add(180 deg);
FrequencySet1.clear();
FrequencySet1.addFrequency(0.1 rad/s);
FrequencySet1.addFrequency(0.15 rad/s);
FrequencySet1.addFrequency(0.2 rad/s);
FrequencySet1.addFrequency(0.25 rad/s);
FrequencySet1.addFrequency(0.3 rad/s);
FrequencySet1.addFrequency(0.35 rad/s);
FrequencySet1.addFrequency(0.4 rad/s);
FrequencySet1.addFrequency(0.45 rad/s);
FrequencySet1.addFrequency(0.5 rad/s);
FrequencySet1.addFrequency(0.55 rad/s);
FrequencySet1.addFrequency(0.6 rad/s);
FrequencySet1.addFrequency(0.65 rad/s);
FrequencySet1.addFrequency(0.7 rad/s);
FrequencySet1.addFrequency(0.75 rad/s);
FrequencySet1.addFrequency(0.8 rad/s);
FrequencySet1.addFrequency(0.85 rad/s);
FrequencySet1.addFrequency(0.9 rad/s);
FrequencySet1.addFrequency(0.95 rad/s);
FrequencySet1.addFrequency(1 rad/s);
FrequencySet1.addFrequency(1.05 rad/s);
FrequencySet1.addFrequency(1.1 rad/s);
FrequencySet1.addFrequency(1.15 rad/s);
FrequencySet1.addFrequency(1.2 rad/s);
FrequencySet1.addFrequency(1.25 rad/s);
FrequencySet1.addFrequency(1.3 rad/s);
FrequencySet1.addFrequency(1.35 rad/s);
FrequencySet1.addFrequency(1.4 rad/s);
FrequencySet1.addFrequency(1.45 rad/s);
FrequencySet1.addFrequency(1.5 rad/s);
FrequencySet1.addFrequency(1.55 rad/s);
FrequencySet1.addFrequency(1.6 rad/s);
FrequencySet1.addFrequency(1.65 rad/s);
FrequencySet1.addFrequency(1.7 rad/s);
FrequencySet1.addFrequency(1.75 rad/s);
FrequencySet1.addFrequency(1.8 rad/s);
FrequencySet1.addFrequency(1.85 rad/s);
FrequencySet1.addFrequency(1.9 rad/s);
FrequencySet1.addFrequency(1.95 rad/s);
FrequencySet1.addFrequency(2 rad/s);
FrequencySet1.addFrequency(2.05 rad/s);
FrequencySet1.addFrequency(2.1 rad/s);
FrequencySet1.addFrequency(2.15 rad/s);
FrequencySet1.addFrequency(2.2 rad/s);
FrequencySet1.addFrequency(2.25 rad/s);
FrequencySet1.addFrequency(2.3 rad/s);
FrequencySet1.addFrequency(2.35 rad/s);
FrequencySet1.addFrequency(2.4 rad/s);
FrequencySet1.addFrequency(2.45 rad/s);
FrequencySet1.addFrequency(2.5 rad/s);
// HydroD V4.5-08 ended 04-Oct-2013 11:19:42
// HydroD V4.5-08 started 04-Oct-2013 11:19:43
// HydroD V4.5-08 ended 04-Oct-2013 11:19:44
// HydroD V4.5-08 started 04-Oct-2013 11:19:44
// HydroD V4.5-08 ended 04-Oct-2013 11:20:33
// HydroD V4.5-08 started 04-Oct-2013 11:20:33
Morison3DSection1.setDragCoefficientX(750000);
// HydroD V4.5-08 ended 04-Oct-2013 11:24:57
// HydroD V4.5-08 started 04-Oct-2013 11:24:57
FrequencySet1.clear();
FrequencySet1.addFrequency(0.1 rad/s);
FrequencySet1.addFrequency(0.15 rad/s);
FrequencySet1.addFrequency(0.2 rad/s);
FrequencySet1.addFrequency(0.25 rad/s);
FrequencySet1.addFrequency(0.3 rad/s);
FrequencySet1.addFrequency(0.35 rad/s);
FrequencySet1.addFrequency(0.4 rad/s);
FrequencySet1.addFrequency(0.45 rad/s);
FrequencySet1.addFrequency(0.5 rad/s);
FrequencySet1.addFrequency(0.55 rad/s);
FrequencySet1.addFrequency(0.6 rad/s);
FrequencySet1.addFrequency(0.65 rad/s);
FrequencySet1.addFrequency(0.7 rad/s);
FrequencySet1.addFrequency(0.75 rad/s);
FrequencySet1.addFrequency(0.8 rad/s);
FrequencySet1.addFrequency(0.85 rad/s);
FrequencySet1.addFrequency(0.9 rad/s);
FrequencySet1.addFrequency(0.95 rad/s);
FrequencySet1.addFrequency(1 rad/s);
FrequencySet1.addFrequency(1.05 rad/s);
FrequencySet1.addFrequency(1.1 rad/s);
FrequencySet1.addFrequency(1.15 rad/s);
FrequencySet1.addFrequency(1.2 rad/s);
FrequencySet1.addFrequency(1.25 rad/s);
FrequencySet1.addFrequency(1.3 rad/s);
FrequencySet1.addFrequency(1.35 rad/s);
FrequencySet1.addFrequency(1.4 rad/s);
FrequencySet1.addFrequency(1.45 rad/s);
FrequencySet1.addFrequency(1.5 rad/s);
FrequencySet1.addFrequency(1.55 rad/s);
FrequencySet1.addFrequency(1.6 rad/s);
FrequencySet1.addFrequency(1.65 rad/s);
FrequencySet1.addFrequency(1.7 rad/s);
FrequencySet1.addFrequency(1.75 rad/s);
FrequencySet1.addFrequency(1.8 rad/s);
FrequencySet1.addFrequency(1.85 rad/s);
FrequencySet1.addFrequency(1.9 rad/s);
FrequencySet1.addFrequency(1.95 rad/s);
FrequencySet1.addFrequency(2 rad/s);
FrequencySet1.addFrequency(2.05 rad/s);
FrequencySet1.addFrequency(2.1 rad/s);
FrequencySet1.addFrequency(2.15 rad/s);
FrequencySet1.addFrequency(2.2 rad/s);
FrequencySet1.addFrequency(2.25 rad/s);
FrequencySet1.addFrequency(2.3 rad/s);
FrequencySet1.addFrequency(2.35 rad/s);
FrequencySet1.addFrequency(2.4 rad/s);
FrequencySet1.addFrequency(2.45 rad/s);
FrequencySet1.addFrequency(2.5 rad/s);
FrequencySet1.addFrequency(0.167);
// HydroD V4.5-08 ended 08-Oct-2013 13:00:49
// HydroD V4.5-08 started 08-Oct-2013 13:00:49
// HydroD V4.5-08 ended 08-Oct-2013 13:56:04
// HydroD V4.5-08 started 20-Apr-2016 10:27:44
PanelModel1.setFileName("W:/HydroD/April/byT1.FEM");
PanelModel1.regenerateGeometry();
SecondOrderSurfaceModel1 = SurfaceModel(LoadingCondition1,ElementEnumsFEMFile,"W:/HydroD/April/fsT1.FEM");
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
WadamRun1.differenceFrequencyResults(true);
WadamRun1.computeSecondOrderForce(true);
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
SecondOrderSurfaceModel1.setFileName("W:/HydroD/April/fsT1.FEM");
SecondOrderSurfaceModel1.regenerateGeometry();
PanelModel1.setFileName("W:/HydroD/April/byT1.FEM");
PanelModel1.regenerateGeometry();
SecondOrderSurfaceModel1.setFileName("W:/HydroD/April/fsT1.FEM");
SecondOrderSurfaceModel1.regenerateGeometry();
PanelModel1.setFileName("W:/HydroD/April/byT1.FEM");
PanelModel1.regenerateGeometry();
SecondOrderSurfaceModel1.setFileName("W:/HydroD/April/fsT1.FEM");
SecondOrderSurfaceModel1.regenerateGeometry();
SecondOrderSurfaceModel1.setFileName("W:/HydroD/April/fsT3.FEM");
SecondOrderSurfaceModel1.regenerateGeometry();
SecondOrderSurfaceModel1.setFileName("W:/HydroD/April/fsT3.FEM");
SecondOrderSurfaceModel1.regenerateGeometry();
SecondOrderSurfaceModel1.setFileName("W:/HydroD/April/fsT1.FEM");
SecondOrderSurfaceModel1.regenerateGeometry();
SecondOrderSurfaceModel1.setFileName("W:/HydroD/April/fsT1.FEM");
SecondOrderSurfaceModel1.regenerateGeometry();
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
WadamRun1.sumFrequencyResults(true);
WadamRun1.differenceFrequencyResults(false);
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
WadamRun1.computeSecondOrderForce(false);
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
Delete(SecondOrderSurfaceModel1);
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
WadamRun1.sumFrequencyResults(false);
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
SecondOrderSurfaceModel1 = SurfaceModel(LoadingCondition1,ElementEnumsFEMFile,"W:/HydroD/April/fsT1.FEM");
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
WadamRun1.differenceFrequencyResults(true);
WadamRun1.computeSecondOrderForce(true);
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
// HydroD V4.5-08 ended 21-Apr-2016 10:36:18
// HydroD V4.5-08 started 28-Apr-2016 17:34:46
DirectionSet1.removeAll();
DirectionSet1.add(0 deg);
DirectionSet2.removeAll();
DirectionSet2.add(0 deg);
FrequencySet1.clear();
FrequencySet1.addFrequency(0.1 rad/s);
FrequencySet1.addFrequency(0.15 rad/s);
FrequencySet1.addFrequency(0.167 rad/s);
FrequencySet1.addFrequency(0.2 rad/s);
FrequencySet1.addFrequency(0.25 rad/s);
FrequencySet1.addFrequency(0.3 rad/s);
FrequencySet1.addFrequency(0.35 rad/s);
FrequencySet1.addFrequency(0.4 rad/s);
FrequencySet1.addFrequency(0.45 rad/s);
FrequencySet1.addFrequency(0.5 rad/s);
FrequencySet1.addFrequency(0.55 rad/s);
FrequencySet1.addFrequency(0.6 rad/s);
FrequencySet1.addFrequency(0.65 rad/s);
FrequencySet1.addFrequency(0.7 rad/s);
FrequencySet1.addFrequency(0.75 rad/s);
FrequencySet1.addFrequency(0.8 rad/s);
FrequencySet1.addFrequency(0.85 rad/s);
FrequencySet1.addFrequency(0.9 rad/s);
FrequencySet1.addFrequency(0.95 rad/s);
FrequencySet1.addFrequency(1 rad/s);
FrequencySet1.addFrequency(1.05 rad/s);
FrequencySet1.addFrequency(1.1 rad/s);
FrequencySet1.addFrequency(1.15 rad/s);
FrequencySet1.addFrequency(1.2 rad/s);
FrequencySet1.addFrequency(1.25 rad/s);
FrequencySet1.addFrequency(1.3 rad/s);
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
WadamRun1.calculateDrift(true);
WadamRun1.driftByPressureIntegration(true);
WadamRun1.driftByFarFieldIntegration(true);
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
WadamRun1.setSecondOrderForceCalculationMethod(WadamRunDirectSecondOrderForce);
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
remapRelations();
WadamRun3 = WadamRun();
// Start Input **********
WadamRun3.setHydroModel(HydroModel1);
WadamRun3.useMultiBody(false);
WadamRun3.setLoadingCondition(LoadingCondition1);
WadamRun3.setEnvironmentData(Condition1);
WadamRun3.useSeaState(false);
// End Input **********
// Start Execution Directives **********
WadamRun3.dataCheck(false);
WadamRun3.setAnalysisType(WadamRunGlobalResponse);
   // Start Constants **********
WadamRun3.setToleranceWaterLine(5);
WadamRun3.setToleranceCOG(5);
WadamRun3.setCharacteristicLength(100 m);
   // End Constants **********
   // Start Wave **********
WadamRun3.setDragType(WadamRunSpecifiedVelocityDrag);
WadamRun3.setWaveType(WadamRunIncidentWave);
WadamRun3.setDragVelocity(1);
   // End Wave **********
   // Start Drift Forces **********
WadamRun3.calculateDrift(true);
WadamRun3.driftByPressureIntegration(true);
WadamRun3.driftByFarFieldIntegration(true);
WadamRun3.waveDriftDamping(false);
   // End Drift Forces **********
   // Start Roll Damping **********
WadamRun3.calculateRollDamping(false);
   // End Roll Damping **********
   // Start Equation Solver **********
WadamRun3.setSolverType(WadamRunDirectSolver);
WadamRun3.setMaxMatrixDimension(3000);
   // End Equation Solver **********
   // Start Print **********
WadamRun3.setPrintType(WadamRunNormalPrint);
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
WadamRun3.setResponseFileType(WadamRunSIFFormatted);
WadamRun3.calculateEigenvalues(true);
WadamRun3.defineGlobalResponseReferencePoint(false);
WadamRun3.sumFrequencyResults(false);
WadamRun3.differenceFrequencyResults(true);
WadamRun3.computeSecondOrderForce(true);
WadamRun3.setSecondOrderForceCalculationMethod(WadamRunDirectSecondOrderForce);
WadamRun3.computeSecondOrderPressureOnBody(false);
WadamRun3.computeSecondOrderPressureInFluid(false);
WadamRun3.computeSecondOrderWaveElevation(false);
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun3.setSingularityType(WadamRunAnalyticalSingularity);
WadamRun3.setIntegrationType(WadamRunOneNodeGauss);
WadamRun3.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
WadamRun3.useWadamMassCalculation(false);
WadamRun3.removeIrrFrequencies(false);
WadamRun3.saveTempWamitFiles(false);
WadamRun3.stopBeforePotenExecution(false);
WadamRun3.bypassPotenExecution(false);
WadamRun3.stopBeforeFirstForceExecution(false);
WadamRun3.bypassFirstForceExecution(false);
WadamRun3.stopBeforeSecondForceExecution(false);
WadamRun3.bypassSecondForceExecution(false);
WadamRun3.useSaveRestart(false);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
WadamRun3.specifyOutputDirectory(false);
WadamRun3.autoOwerwriteExistingResultFiles(false);
// End Output Directory **********
FrequencySet1.clear();
FrequencySet1.addFrequency(1.4 rad/s);
FrequencySet1.addFrequency(1.6 rad/s);
FrequencySet1.addFrequency(1.8 rad/s);
FrequencySet1.addFrequency(2 rad/s);
FrequencySet1.addFrequency(2.2 rad/s);
FrequencySet1.addFrequency(2.4 rad/s);
FrequencySet1.addFrequency(2.6 rad/s);
FrequencySet1.addFrequency(2.8 rad/s);
FrequencySet1.addFrequency(3 rad/s);
WadamRun4 = WadamRun();
// Start Input **********
WadamRun4.setHydroModel(HydroModel1);
WadamRun4.useMultiBody(false);
WadamRun4.setLoadingCondition(LoadingCondition1);
WadamRun4.setEnvironmentData(Condition1);
WadamRun4.useSeaState(false);
// End Input **********
// Start Execution Directives **********
WadamRun4.dataCheck(false);
WadamRun4.setAnalysisType(WadamRunGlobalResponse);
   // Start Constants **********
WadamRun4.setToleranceWaterLine(5);
WadamRun4.setToleranceCOG(5);
WadamRun4.setCharacteristicLength(100 m);
   // End Constants **********
   // Start Wave **********
WadamRun4.setDragType(WadamRunSpecifiedVelocityDrag);
WadamRun4.setWaveType(WadamRunIncidentWave);
WadamRun4.setDragVelocity(1);
   // End Wave **********
   // Start Drift Forces **********
WadamRun4.calculateDrift(true);
WadamRun4.driftByPressureIntegration(true);
WadamRun4.driftByFarFieldIntegration(true);
WadamRun4.waveDriftDamping(false);
   // End Drift Forces **********
   // Start Roll Damping **********
WadamRun4.calculateRollDamping(false);
   // End Roll Damping **********
   // Start Equation Solver **********
WadamRun4.setSolverType(WadamRunDirectSolver);
WadamRun4.setMaxMatrixDimension(3000);
   // End Equation Solver **********
   // Start Print **********
WadamRun4.setPrintType(WadamRunNormalPrint);
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
WadamRun4.setResponseFileType(WadamRunSIFFormatted);
WadamRun4.calculateEigenvalues(true);
WadamRun4.defineGlobalResponseReferencePoint(false);
WadamRun4.sumFrequencyResults(false);
WadamRun4.differenceFrequencyResults(true);
WadamRun4.computeSecondOrderForce(true);
WadamRun4.setSecondOrderForceCalculationMethod(WadamRunDirectSecondOrderForce);
WadamRun4.computeSecondOrderPressureOnBody(false);
WadamRun4.computeSecondOrderPressureInFluid(false);
WadamRun4.computeSecondOrderWaveElevation(false);
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun4.setSingularityType(WadamRunAnalyticalSingularity);
WadamRun4.setIntegrationType(WadamRunOneNodeGauss);
WadamRun4.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
WadamRun4.useWadamMassCalculation(false);
WadamRun4.removeIrrFrequencies(false);
WadamRun4.saveTempWamitFiles(false);
WadamRun4.stopBeforePotenExecution(false);
WadamRun4.bypassPotenExecution(false);
WadamRun4.stopBeforeFirstForceExecution(false);
WadamRun4.bypassFirstForceExecution(false);
WadamRun4.stopBeforeSecondForceExecution(false);
WadamRun4.bypassSecondForceExecution(false);
WadamRun4.useSaveRestart(false);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
WadamRun4.specifyOutputDirectory(false);
WadamRun4.autoOwerwriteExistingResultFiles(false);
// End Output Directory **********
FrequencySet1.clear();
FrequencySet1.addFrequency(0.1 rad/s);
FrequencySet1.addFrequency(0.15 rad/s);
FrequencySet1.addFrequency(0.2 rad/s);
FrequencySet1.addFrequency(0.25 rad/s);
FrequencySet1.addFrequency(0.3 rad/s);
FrequencySet1.addFrequency(0.35 rad/s);
FrequencySet1.addFrequency(0.4 rad/s);
FrequencySet1.addFrequency(0.45 rad/s);
FrequencySet1.addFrequency(0.5 rad/s);
FrequencySet1.addFrequency(0.55 rad/s);
FrequencySet1.addFrequency(0.6 rad/s);
FrequencySet1.addFrequency(0.65 rad/s);
FrequencySet1.addFrequency(0.7 rad/s);
FrequencySet1.addFrequency(0.75 rad/s);
FrequencySet1.addFrequency(0.8 rad/s);
FrequencySet1.addFrequency(0.85 rad/s);
FrequencySet1.addFrequency(0.9 rad/s);
FrequencySet1.addFrequency(0.95 rad/s);
FrequencySet1.addFrequency(1 rad/s);
FrequencySet1.addFrequency(1.05 rad/s);
FrequencySet1.addFrequency(1.1 rad/s);
FrequencySet1.addFrequency(1.15 rad/s);
FrequencySet1.addFrequency(1.2 rad/s);
FrequencySet1.addFrequency(1.25 rad/s);
FrequencySet1.addFrequency(1.3 rad/s);
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
WadamRun4.differenceFrequencyResults(false);
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
FrequencySet1.clear();
FrequencySet1.addFrequency(1.35 rad/s);
FrequencySet1.addFrequency(1.4 rad/s);
FrequencySet1.addFrequency(1.45 rad/s);
FrequencySet1.addFrequency(1.5 rad/s);
FrequencySet1.addFrequency(1.55 rad/s);
FrequencySet1.addFrequency(1.6 rad/s);
FrequencySet1.addFrequency(1.65 rad/s);
FrequencySet1.addFrequency(1.7 rad/s);
FrequencySet1.addFrequency(1.75 rad/s);
FrequencySet1.addFrequency(1.8 rad/s);
FrequencySet1.addFrequency(1.85 rad/s);
FrequencySet1.addFrequency(1.9 rad/s);
FrequencySet1.addFrequency(1.95 rad/s);
FrequencySet1.addFrequency(2 rad/s);
FrequencySet1.addFrequency(2.05 rad/s);
FrequencySet1.addFrequency(2.1 rad/s);
FrequencySet1.addFrequency(2.15 rad/s);
FrequencySet1.addFrequency(2.2 rad/s);
FrequencySet1.addFrequency(2.25 rad/s);
FrequencySet1.addFrequency(2.3 rad/s);
FrequencySet1.addFrequency(2.35 rad/s);
FrequencySet1.addFrequency(2.4 rad/s);
FrequencySet1.addFrequency(2.45 rad/s);
FrequencySet1.addFrequency(2.5 rad/s);
FrequencySet1.addFrequency(2.55 rad/s);
FrequencySet1.addFrequency(2.6 rad/s);
FrequencySet1.addFrequency(2.65 rad/s);
FrequencySet1.addFrequency(2.7 rad/s);
FrequencySet1.addFrequency(2.75 rad/s);
FrequencySet1.addFrequency(2.8 rad/s);
FrequencySet1.addFrequency(2.85 rad/s);
FrequencySet1.addFrequency(2.9 rad/s);
FrequencySet1.addFrequency(2.95 rad/s);
FrequencySet1.addFrequency(3 rad/s);
// HydroD V4.5-08 ended 10-May-2016 16:34:41
// HydroD V4.5-08 started 11-May-2016 08:30:10
// HydroD V4.5-08 ended 11-May-2016 19:21:01
// HydroD V4.5-08 started 03-Jun-2016 19:01:11
// HydroD V4.5-08 ended 06-Jun-2016 17:39:13
