%name: local_coeff_matrix
%objective: extract the 6x6 and 1x6 matrices for a corresponding wave
%frequency

function [M_w, C_w, Fexc_w,X_w]=local_coeff_matrix(omega,M_tot,C_tot,Fexc_tot,X_tot,Wave_description)

%Wave description : column 5 contains omega, column 1 contains number 1:n
row = find(Wave_description(:,5)==omega);
k=[1:6:300]; % NB! for 50 sea-states

M_w=M_tot(k(row):k(row)+5,:);
C_w=C_tot(k(row):k(row)+5,:);
Fexc_w=Fexc_tot(k(row):k(row)+5,:);
X_w=X_tot(k(row):k(row)+5,:);
end
