%Name      : read_WADAM_2nd_order_output.m
%objective : read the outputfile from WADAM simulation for the 2nd order
%results
%=========================================================================%
function [Surge_2nd,Heave_2nd,Pitch_2nd,Drift_mean] = read_WADAM_2nd_order_output()
fileIDSurge=fopen('C:\Users\Kristine\Dropbox\MATLAB\Master Thesis\cleanup of code\2nd_order\F1_2nd.txt','r');
fileIDheave=fopen('C:\Users\Kristine\Dropbox\MATLAB\Master Thesis\cleanup of code\2nd_order\F3_2nd.txt','r');
fileIDpitch=fopen('C:\Users\Kristine\Dropbox\MATLAB\Master Thesis\cleanup of code\2nd_order\F5_2nd.txt','r');
fileIDmean=fopen('C:\Users\Kristine\Dropbox\MATLAB\Master Thesis\cleanup of code\2nd_order\mean_drift.dat','r');
fileIDmean2=fopen('C:\Users\Kristine\Dropbox\MATLAB\Master Thesis\cleanup of code\2nd_order\mean_drift2.dat','r');

counter=0; %1 = surge, 2=sway, 3 = heave etc. 
teststring1_drift=strtrim('Name     WaveDir Froude  Frequency  RealVal    ImagVal   Amplitude   Phase');
teststring2_drift=strtrim('----------------------------------------------------------------------------');
teststring3_drift=strtrim('');
row=0;
while ~feof(fileIDmean)
   tline=fgetl(fileIDmean);
   S=tline;
   test_char1=strcmp(teststring1_drift,strtrim(S));
   test_char2=strcmp(teststring2_drift,strtrim(S));
   test_char3=strcmp(teststring3_drift,strtrim(S));

   if test_char1==0 && test_char2==0 && test_char3==0
        counter=counter+1;
        if counter==1
            row = row+1;
            S = strrep(S, 'DRIFT', '');
            S = strrep(S, 'HDRFT','');
            Drift_mean(row,:)=str2num(S) ;

        else
            row=row+1;
            Drift_mean(row,4:5)=str2num(S) ;
        end
   elseif test_char1==1 || test_char2==1
       counter=0;
   end
    
end

fclose(fileIDmean);
while ~feof(fileIDmean2)
   tline=fgetl(fileIDmean2);
   S=tline;
   test_char1=strcmp(teststring1_drift,strtrim(S));
   test_char2=strcmp(teststring2_drift,strtrim(S));
   test_char3=strcmp(teststring3_drift,strtrim(S));

   if test_char1==0 && test_char2==0 && test_char3==0
        counter=counter+1;
        if counter==1
            row = row+1;
            S = strrep(S, 'DRIFT', '');
            S = strrep(S, 'HDRFT','');
            Drift_mean(row,:)=str2num(S) ;

        else
            row=row+1;
            Drift_mean(row,4:5)=str2num(S) ;
        end
   elseif test_char1==1 || test_char2==1
       counter=0;
   end
    
end


row=0;
fclose(fileIDmean2);

test1=strtrim(' Freq 1   Freq 2  Sum/Diff  RealVal    ImagVal   Amplitude   Phase');
test2=strtrim('--------------------------------------------------------------------');

while ~feof(fileIDSurge)
    tline=fgetl(fileIDSurge);
    S=tline; %
    test_char1=strcmp(test1,strtrim(S));
    test_char2=strcmp(test2,strtrim(S));

    if test_char1==0 && test_char2==0
        row=row+1;
        Surge_2nd(row,:)=str2num(S) ;
    end
end
fclose(fileIDSurge);
row=0;

while ~feof(fileIDheave)
    tline=fgetl(fileIDheave);
    S=tline; %
    test_char1=strcmp(test1,strtrim(S));
    test_char2=strcmp(test2,strtrim(S));

    if test_char1==0 && test_char2==0
        row=row+1;
        Heave_2nd(row,:)=str2num(S) ;
    end
end
fclose(fileIDheave);
row=0;

while ~feof(fileIDpitch)
    tline=fgetl(fileIDpitch);
    S=tline; %
    test_char1=strcmp(test1,strtrim(S));
    test_char2=strcmp(test2,strtrim(S));

    if test_char1==0 && test_char2==0
        row=row+1;
        Pitch_2nd(row,:)=str2num(S) ;
    end
end
fclose(fileIDpitch);

end
