function [H_F2_X w]=transfer_2nd_2(F2_surge,F2_heave,F2_pitch,OMEGA,w,M_tot,C_tot,Fexc_tot,X_tot,Wave_description,K_tot)

%row=find(w>=1.2);
%w=w(1:row);
F2 = zeros(length(w),3);

F2(:,1)=F2_surge;
F2(:,2)=F2_heave;
F2(:,3)=F2_pitch;

H_F2_X = zeros(length(w),3);

for j =6:-2:2;
    K_tot(j,:)=[];
    K_tot(:,j)=[];
end

for i = 1:length(w)
    omega_local=w(i);
    [M_w, C_w, Fexc_w,X_w]=local_coeff_matrix(omega_local,M_tot,C_tot,Fexc_tot,X_tot,Wave_description);
    for j =6:-2:2;
        M_w(j,:)=[];
        M_w(:,j)=[];
        C_w(j,:)=[];
        C_w(:,j)=[];
    end
    H_F2_X(i,:)=F2(i,:)*((-omega_local^2*M_w + 1i*omega_local*C_w+ K_tot)^-1); 
    %H_F2_X(i,2)=F2(i,2)/((-omega_local^2*M_w(3,3) + 1i*omega_local*C_w(3,3) + K_tot(3,3)));
    %H_F2_X(i,3)=F2(i,3)/((-omega_local^2*M_w(5,5) + 1i*omega_local*C_w(5,5) + K_tot(5,5)));

    
end

end
